
# -*- coding: utf-8 -*-

#!/usr/bin/env python
#

import pandas as pnd
import numpy as np
import glob as gb
import os
import sys
import locale
from datetime import date

locale.setlocale(locale.LC_TIME, ('es_co','utf-8'))
reload (sys)
sys.setdefaultencoding('utf8')

path=os.getcwd()
print path
os.system('ln -s /home/calidadaire/ModuloAire/Air.py %s' %path)
os.system('ln -s /home/calidadaire/ModuloRuido/Ruido.py %s' %path)
import Ruido
import Air
reload(Air)
import ruido

ruido = ruido.ruido()

a = Ruido.Ruido()
self = Air.Air(Fechai=a.Fechai,Fechaf=a.Fechaf)

today 				= date.today()
today				= today.strftime("%d de %B del %Y")
mes                             = self.mes_es[pnd.to_datetime(self.Fechai).month]
mes_minus                       = mes[0].upper() + mes[1:]

#-----------------------------------------------------------------------
#       Datos
#-----------------------------------------------------------------------

df = pnd.read_csv('Datos/LRAeqW.csv',  header=[0, 1], skipinitialspace=True, tupleize_cols=True,index_col=0) # Informes/Informe_Ruido_2016-12/
df.columns = pnd.MultiIndex.from_tuples(df.columns)

LRAeqWD = df.LRAeqWD
LRAeqWN = df.LRAeqWN


'''
self.LR={}
self.LR=self.Aire_db(LRAdiario=True,Variable=['LRAeqD','LRAeqN','LRAeqDN'])
LRAeqH  =self.Aire_db(LRAhorario=True)
LRAeqD  = self.LR['LRAeqD']
LRAeqN  = self.LR['LRAeqN']

'''
self.LR = pnd.read_csv('Datos/LR.csv',  header=[0, 1], skipinitialspace=True, tupleize_cols=True,index_col=0)
self.LR.columns = pnd.MultiIndex.from_tuples(self.LR.columns)
self.LR.index=pnd.to_datetime(self.LR.index)
#self.LR.index=self.LR.index.to_datetime()

LRAeqH = self.LR.LRAeqH
LRAeqD = self.LR.LRAeqD
LRAeqN = self.LR.LRAeqN

pexcD = pnd.DataFrame()

pexcN = pnd.DataFrame()

estaciones = self.EstR[self.EstR['Ruido']==1].sort_values('Latitud',ascending=False)[['Nombre_Estacion','Nombre']]

Fnombrecorto = lambda x: '%s %s %s' %(str(list(x.index.values[:-1])).strip('[]').replace("'",""),'e' if x.index.values[-1][0]=='I' else 'y',str(x.index.values[-1]).strip('[]').replace("'","")) if x.size > 1 else str(x.index.values).strip('[]').replace("'","")

Texto_Ruido	= sys.argv[1]
#-----------------------------------------------------------------------
#       Informe Ruido
#-----------------------------------------------------------------------

Informe_Ruido = []
Portada =       []
Introduccion =  []
Descripcion =   []
Resultados =    []
Meteorologia =  []
Anexos =        []
Referencias =   []
#-----------------------------------------------------------------------
# Informe_Ruido
#-----------------------------------------------------------------------


Informe_Ruido.append(u'\\documentclass[x11names,table,pdflatex,spanish,letterpaper,20pt,oneside]{book}')
Informe_Ruido.append(u'%%%%%%%%%%%%%%%%%%%%%%%%%%%%% PAQUETES %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
Informe_Ruido.append(u'\\usepackage[utf8]{inputenc}')
Informe_Ruido.append(u'\\usepackage[spanish]{babel} %ESPAÑOL')
Informe_Ruido.append(u'%\\usepackage[cp1252]{inputenc}')
Informe_Ruido.append(u'\\usepackage[usenames,dvipsnames]{color}')
Informe_Ruido.append(u'\\usepackage{graphicx} %INSERTAR FIGURAS')
Informe_Ruido.append(u'\\usepackage{fancyhdr} %MODIFICA ENCABEZADOS')
Informe_Ruido.append(u'\\usepackage{amsmath} %COSAS DE MATEMATICAS')
Informe_Ruido.append(u'\\usepackage{enumerate} %PARA HACER LAS VIÑETAS')
Informe_Ruido.append(u'%\\usepackage{subfig}')
Informe_Ruido.append(u'\\usepackage{listings}')
Informe_Ruido.append(u'\\usepackage{subfloat}')
Informe_Ruido.append(u'\\usepackage{multirow}')
Informe_Ruido.append(u'\\usepackage[hidelinks]{hyperref} %PARA LOS HIPERVINCULOS Y LOS BOOKMARKS')
Informe_Ruido.append(u'\\usepackage{multicol}')
Informe_Ruido.append(u'\\usepackage{verbatim}')
Informe_Ruido.append(u'\\usepackage[round]{natbib}')
Informe_Ruido.append(u'\\usepackage{eso-pic}')
Informe_Ruido.append(u'\\usepackage[usenames,dvipsnames]{xcolor}')
Informe_Ruido.append(u'\\usepackage{tikz}')
Informe_Ruido.append(u'\\usetikzlibrary{positioning}')
Informe_Ruido.append(u'\\usepackage{tabularx}')
Informe_Ruido.append(u'\\usepackage{multirow}')
Informe_Ruido.append(u'\\usepackage{longtable}')
Informe_Ruido.append(u'\\usepackage{threeparttablex}')
Informe_Ruido.append(u'\\usepackage{geometry}')
Informe_Ruido.append(u'\\usepackage{sectsty}')
Informe_Ruido.append(u'\\usepackage{titlesec}')
Informe_Ruido.append(u'\\usepackage{setspace}')
Informe_Ruido.append(u'\\usepackage{hyperref}')
Informe_Ruido.append(u'\\usepackage{subfigure}')
Informe_Ruido.append(u'\\usepackage{float}')
Informe_Ruido.append(u'\\usepackage{makecell}')
Informe_Ruido.append(u'\\usepackage{caption}')
Informe_Ruido.append(u'\\usepackage{emptypage}')
Informe_Ruido.append(u'\\setcounter{secnumdepth}{0}')
Informe_Ruido.append(u'\\setcounter{tocdepth}{1}')
Informe_Ruido.append('')
Informe_Ruido.append(u'\\newcounter{ns}')
Informe_Ruido.append(u'\\addtocounter{ns}{1}')
Informe_Ruido.append('')
Informe_Ruido.append(u'%\\usepackage[left=1.5in, right=1in, top=1in, bottom=1.4in, includefoot, headheight=13.6pt]{geometry}')
Informe_Ruido.append(u'%\\usepackage{subcaption}')
Informe_Ruido.append('')
Informe_Ruido.append(u'%%%%%%%%%%%%%%%%%%%%%%%%%%%%% MáRGENES %%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
Informe_Ruido.append(u'\\voffset=-1.8cm \setlength {\\topmargin}{40pt}')
Informe_Ruido.append(u'\\setlength{\headheight}{0.96 cm} \setlength {\headsep}{0.5cm}')
Informe_Ruido.append(u'\\setlength {\\textheight}{21.7cm} \setlength {\\footskip}{0.5cm}')
Informe_Ruido.append(u'\\hoffset=0.5cm \setlength {\oddsidemargin}{0pt} \setlength')
Informe_Ruido.append(u'{\\textwidth}{16cm}')
Informe_Ruido.append('')
Informe_Ruido.append(u'%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Si se maman de que nos les compile, descomenten el /nonstopmode %%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
Informe_Ruido.append(u'\\nonstopmode')
Informe_Ruido.append('')
Informe_Ruido.append(u'%Organiza el formato de los capitulos')
Informe_Ruido.append(u'\\titleformat{\\chapter}{\\normalfont\huge\\bfseries\centering\color{CiceBlue3}}{\\thechapter}{20pt}{\Huge}')
Informe_Ruido.append(u'\\titlespacing{\chapter}{15pt}{*0}{0pt}')
Informe_Ruido.append(u'%Organiza secciones y sub-secciones')
Informe_Ruido.append(u'\\titleformat{\\section}{\\normalfont\large\\bfseries\color{CiceBlue3}}{\\textcolor{CiceBlue3}{\\thesection.}}{20pt}{\large}')
Informe_Ruido.append(u'\\titleformat{\subsection}{\\normalfont\large\\bfseries\color{CiceBlue3}}{\\textcolor{CiceBlue3}{\\thesubsection.}}{20pt}{\large}')
Informe_Ruido.append('')
#Colores propios de el formato del informe
Informe_Ruido.append(u'\\definecolor{CiceBlue}{HTML}{1E3696}')
Informe_Ruido.append(u'\\definecolor{CiceBlue2}{HTML}{6B92BC}')
Informe_Ruido.append(u'\\definecolor{CiceBlue3}{HTML}{22487A}')
Informe_Ruido.append(u'\\definecolor{CiceGray}{HTML}{585858}')
Informe_Ruido.append(u'\\definecolor{CiceGray2}{HTML}{CCCCCC}')
Informe_Ruido.append(u'\\definecolor{BlueSiata}{RGB}{31,115,116}')
Informe_Ruido.append(u'\\definecolor{BlueSiata}{RGB}{31,115,116}')
Informe_Ruido.append(u'\\definecolor{BlueSiata2}{RGB}{82,183,196}')
Informe_Ruido.append('')
Informe_Ruido.append('')
Informe_Ruido.append(u'\\newcommand\Contrato{%')
Informe_Ruido.append(u'\put(-85,310){%')
Informe_Ruido.append(u'\parbox[b][\paperheight]{\paperwidth}{%')
Informe_Ruido.append(u'\\vfill')
Informe_Ruido.append(u'\centering')
Informe_Ruido.append(u'\\begin{tikzpicture}%[opacity=0.5]')
Informe_Ruido.append(u'   \draw (1, 1) node {\Large{\\textbf{\\textsf{\\textcolor{white}{Informe Mensual de Ruido Ambiental %s de %s }}}}};'%(self.mes_es[LRAeqH.index[0].month],str(LRAeqH.index[0].year)))
#Informe_Ruido.append(u'    \draw (1, 0.4) node {\Large{\\textsf{\\textcolor{white}{Contrato Ciencia y Tecnología 292 de 2020 }}}};')
Informe_Ruido.append(u'\end{tikzpicture}')
Informe_Ruido.append(u'\\vfill')
Informe_Ruido.append(u'}}}')
Informe_Ruido.append('')
Informe_Ruido.append('')
Informe_Ruido.append(u'\\newcommand\Cabeza{%')
Informe_Ruido.append(u'\put(-300,281.5){%')
Informe_Ruido.append(u'\parbox[b][\paperheight]{\paperwidth}{%')
Informe_Ruido.append(u'\\vfill')
Informe_Ruido.append(u'\centering')
Informe_Ruido.append(u'\\begin{tikzpicture}%[opacity=0.5]') 
Informe_Ruido.append(u'    \includegraphics[width=15cm,height=1.9cm]{Figuras/Plantilla/encabezado.png}')
Informe_Ruido.append(u'    \small{\\textsf{\\textcolor{CiceBlue2}{Segundo Informe de avance contrato Ciencia y tecnología 554 de 2016}}};')
Informe_Ruido.append(u'\end{tikzpicture}')
Informe_Ruido.append(u'\\vfill')
Informe_Ruido.append(u'}}}')
Informe_Ruido.append('')
Informe_Ruido.append(u'\\newcommand\Pie{%')
Informe_Ruido.append(u'\put(-325,-450){%')
Informe_Ruido.append(u'\parbox[b][\paperheight]{\paperwidth}{%')
Informe_Ruido.append(u'\\vfill')
Informe_Ruido.append(u'\centering')
Informe_Ruido.append(u'\\begin{tikzpicture}')
Informe_Ruido.append(u'    \includegraphics[scale=1.0]{Figuras/Plantilla/pie.png};')
Informe_Ruido.append(u'\end{tikzpicture}')
Informe_Ruido.append(u'\\vfill')
Informe_Ruido.append(u'}}}')
Informe_Ruido.append('')
Informe_Ruido.append(u'\\newcommand\contenido{%')
Informe_Ruido.append(u'\put(-320,90){%')
Informe_Ruido.append(u'\parbox[b][\paperheight]{\paperwidth}{%')
Informe_Ruido.append(u'\\vfill')
Informe_Ruido.append(u'\centering')
Informe_Ruido.append(u'\\begin{tikzpicture}')
Informe_Ruido.append(u'    \includegraphics[scale=0.98]{Figuras/Plantilla/contenido.png};')
Informe_Ruido.append(u'\end{tikzpicture}')
Informe_Ruido.append(u'\\vfill')
Informe_Ruido.append(u'}}}')
Informe_Ruido.append('')
Informe_Ruido.append('')
Informe_Ruido.append(u'\makeatletter')
Informe_Ruido.append(u'\\renewcommand\part{%')
Informe_Ruido.append(u'  \if@openright')
Informe_Ruido.append(u'    \cleardoublepage')
Informe_Ruido.append(u'  \else')
Informe_Ruido.append(u'    \clearpage')
Informe_Ruido.append(u'  \\fi')
Informe_Ruido.append(u'  \\thispagestyle{empty}%')
Informe_Ruido.append(u'  \if@twocolumn')
Informe_Ruido.append(u'    \onecolumn')
Informe_Ruido.append(u'    \@tempswatrue')
Informe_Ruido.append(u'  \else')
Informe_Ruido.append(u'    \@tempswafalse')
Informe_Ruido.append(u'  \\fi')
Informe_Ruido.append(u'  \\null\\vfil')
Informe_Ruido.append(u'  \secdef\@part\@spart}')
Informe_Ruido.append(u'\makeatother')
Informe_Ruido.append('')
Informe_Ruido.append(u'\\newcommand\\fondo{%')
Informe_Ruido.append(u'\put(-322,-450){%')
Informe_Ruido.append(u'\parbox[b][\paperheight]{\paperwidth}{%')
Informe_Ruido.append(u'\\vfill')
Informe_Ruido.append(u'\centering')
Informe_Ruido.append(u'\\begin{tikzpicture}')
Informe_Ruido.append(u'\includegraphics[height=28cm]{Figuras/Plantilla/fondo.jpg};%')
Informe_Ruido.append(u'\end{tikzpicture}')
Informe_Ruido.append(u'\\vfill')
Informe_Ruido.append(u'}}}')
Informe_Ruido.append('')
Informe_Ruido.append('')

Informe_Ruido.append('\\begin{document}')
Informe_Ruido.append('\\AddToShipoutPicture{\Cabeza}')
Informe_Ruido.append('\\AddToShipoutPicture{\Pie}')
Informe_Ruido.append('\\AddToShipoutPicture{\Siata}')
Informe_Ruido.append('\\AddToShipoutPicture{\Eafit}')
Informe_Ruido.append('\\AddToShipoutPicture{\Contrato}')
Informe_Ruido.append('')
Informe_Ruido.append('')
#CAMBIAR ALGUNAS COSAS DE FORMATO
Informe_Ruido.append('\\renewcommand{\headrulewidth}{0pt}')
Informe_Ruido.append('\\renewcommand{\listtablename}{\\textcolor{CiceBlue3}{Índice de Tablas}}')
Informe_Ruido.append('\\renewcommand{\\tablename}{\\textbf{Tabla}}')
Informe_Ruido.append('\\renewcommand{\listfigurename}{\\textcolor{CiceBlue3}{Índice de Figuras}}')
Informe_Ruido.append('\\renewcommand{\\figurename}{\\textbf{Figura}}')
Informe_Ruido.append('\\renewcommand{\contentsname}{\\textcolor{CiceBlue3}{}}')
Informe_Ruido.append('\\renewcommand{\\bibname}{\\textcolor{CiceBlue3}{Referencias}}')
Informe_Ruido.append('')
Informe_Ruido.append('')
Informe_Ruido.append('\\setlength{\parskip}{2.5mm}')
Informe_Ruido.append('\\pagestyle{fancy}')
Informe_Ruido.append('')
Informe_Ruido.append('')
Informe_Ruido.append('\\fancyhead[LO]{}')
Informe_Ruido.append('\\fancyhead[RO]{}')
Informe_Ruido.append('\\fancyhead[CO]{}')
Informe_Ruido.append('\\fancyfoot[C]{\\thepage}')
Informe_Ruido.append('')
Informe_Ruido.append('')
Informe_Ruido.append('\\linespread{1.1}')
Informe_Ruido.append('')
Informe_Ruido.append('')
Informe_Ruido.append('\\frontmatter')
Informe_Ruido.append('%%% PA QUE LOS NUMEROS ROMANOS SEAN EN MINUSCULA %%%')
Informe_Ruido.append('\\makeatletter')
Informe_Ruido.append('\\def\@roman#1{\\romannumeral #1}')
Informe_Ruido.append('\\makeatother')
Informe_Ruido.append('%%%')
Informe_Ruido.append('\\include{Portada}')
Informe_Ruido.append('\\include{Pagina}')
Informe_Ruido.append(u'\\include{Contenido}')
Informe_Ruido.append(u' \\tableofcontents')
Informe_Ruido.append(u'\\newgeometry{left=1.0cm,bottom=2cm,top=5.5cm}')
Informe_Ruido.append(u'\\listoffigures \\listoftables')
Informe_Ruido.append('')
Informe_Ruido.append('%')
Informe_Ruido.append('%')
Informe_Ruido.append('%')
Informe_Ruido.append('%%%%%%%%%%%%%%%%%%% CAPITULOS %%%%%%%%%%%%%%%%%%%')
Informe_Ruido.append('\\mainmatter')
Informe_Ruido.append('')
Informe_Ruido.append('%')
Informe_Ruido.append('%%%%%%%%%%%%%%%%%%%% LO DE ATRAS %%%%%%%%%%%%%%%%%%')
Informe_Ruido.append('%\\backmatter')
Informe_Ruido.append('')
Informe_Ruido.append('\\include{Introduccion}')
Informe_Ruido.append('\\include{Descripcion}')
Informe_Ruido.append('\\include{Resultados}')
Informe_Ruido.append('\\include{Meteorologia}')
Informe_Ruido.append('\\include{Anexos}')

Informe_Ruido.append(u'\\bibliographystyle{plainnat}')
Informe_Ruido.append(u'\\bibliography{Referencias}')
Informe_Ruido.append(u'\\noindent')
Informe_Ruido.append(u'\\begin{tikzpicture}')
Informe_Ruido.append(u'\\draw[CiceBlue3,line width=1] (0cm,0) -- (6cm,0);')
Informe_Ruido.append(u'\\end{tikzpicture}')
Informe_Ruido.append('FIN DEL INFORME')
Informe_Ruido.append(u'\\begin{tikzpicture}')
Informe_Ruido.append(u'\\draw[CiceBlue3,line width=1] (0cm,0) -- (6cm,0);')
Informe_Ruido.append(u'\\end{tikzpicture}')
Informe_Ruido.append(u'\\end{document}')



b=open('InformeRuido.tex', 'w')
np.savetxt('InformeRuido.tex', Informe_Ruido, fmt='%s')
b.close()

#========================
#	PORTADA
#========================

Portada.append(u'\\newgeometry{left=1.0cm,bottom=2cm,top=5.5cm}')
Portada.append(u'\\AddToShipoutPicture*{\\fondo}')
Portada.append('')
Portada.append(u'\\begin{center}')
Portada.append('')
Portada.append('')
Portada.append(u'\\begin{minipage}[t]{15cm}')
Portada.append(u'    \\begin{flushright}')
Portada.append(u'	\\begin{spacing}{0.1}')
Portada.append(u'\\textbf{\\textsf{\\textcolor{white}{ \\Large{Informe Mensual de Ruido}}}}')
Portada.append(u'	\\end{spacing}')
Portada.append(u'    \\end{flushright}')
Portada.append(u'\\end{minipage}')
Portada.append('')
Portada.append(u'\\begin{minipage}[t]{15cm}')
Portada.append(u'    \\begin{flushright}')
Portada.append(u'	\\begin{spacing}{1.2}')
Portada.append(u'\\textbf{\\textsf{\\textcolor{white}{ \\Large{$\hspace{1.4cm}$Ambiental %s de %s}'%(self.mes_es[LRAeqH.index[0].month],str(LRAeqH.index[0].year)))
Portada.append(u'}}}')
Portada.append('')
Portada.append('')
Portada.append(u'	\\end{spacing}')
Portada.append(u'    \\end{flushright}')
Portada.append(u'\\end{minipage}')
Portada.append('')
Portada.append(u'\\begin{minipage}[t]{16.5cm}')
Portada.append(u'    \\begin{flushleft}')
Portada.append(u'	\\begin{spacing}{1.2}')
#Portada.append(u'\\textbf{\\textsf{\\textcolor{white}{ \\Large{Contrato CCT 292 de 2020} ')
#Portada.append(u'}}}')
Portada.append('')
Portada.append('')
Portada.append(u'	\\end{spacing}')
Portada.append(u'    \\end{flushleft}')
Portada.append(u'\\end{minipage}')
Portada.append('')
Portada.append('')
Portada.append(u'\\begin{minipage}[t]{14cm}')
Portada.append(u'    \\begin{flushleft}')
Portada.append(u'	\\begin{spacing}{1.2}')
#Portada.append(u'\\textbf{\\textsf{\\textcolor{white}{ \\Large{Elaborado por:}')
#Portada.append(u'}}}')
Portada.append('')
Portada.append('')
Portada.append(u'	\\end{spacing}')
Portada.append(u'    \\end{flushleft}')
Portada.append(u'\\end{minipage}')
Portada.append('')
Portada.append(u'\\begin{minipage}[t]{15cm}')
Portada.append(u'    \\begin{flushleft}')
Portada.append(u'	\\begin{spacing}{1.2}')
#Portada.append(u'\\textbf{\\textsf{\\textcolor{white}{ \\Large{Universidad EAFIT}')
#Portada.append(u'}}}')
Portada.append('')
Portada.append(u'	\\end{spacing}')    
Portada.append(u'    \\end{flushleft}')
Portada.append(u'\\end{minipage}')
Portada.append('')
Portada.append('')
Portada.append(u'\\end{center}')

b=open('Portada.tex', 'w')
np.savetxt('Portada.tex', Portada, fmt='%s')
b.close()

#========================
#      contenido
#========================

Contenido=[]
Contenido.append(u'\\newgeometry{left=1.0cm,bottom=2cm,top=10cm}')
Contenido.append(u'\\thispagestyle{empty}')
Contenido.append(u'\\AddToShipoutPicture*{\contenido}')

b=open('Contenido.tex', 'w')
np.savetxt('Contenido.tex', Contenido, fmt='%s')
b.close()

#========================
#      PAGINA
#========================

Pagina = []

Pagina.append('\\restoregeometry')
Pagina.append('\\begin{center}')
Pagina.append('\\textcolor{white}{.\\\\}')
Pagina.append('\\textcolor{white}{.\\\\}')
Pagina.append('\\textcolor{white}{.\\\\}')
Pagina.append('\\textcolor{white}{.\\\\}')
Pagina.append('\\textcolor{white}{.\\\\}')
Pagina.append('Elaborado por:\\\\')
#Pagina.append('Maria Paula Velásquez García, Analista de datos.\\\\')
Pagina.append('Juan David Berrío Bernal, Analista de datos.\\\\')
#Pagina.append('Natalia Roldán Henao, Analista de datos.\\\\')
Pagina.append('\\vspace{2cm}')
Pagina.append('Revisado y Autorizado por:\\\\')
Pagina.append('Laura Herrera Mejia, Directora de la Red.\\\\')
#Pagina.append('Mauricio Ramirez Arias, Director de la Red.\\\\') 
Pagina.append('\\includegraphics[scale=0.35]{Figuras/Plantilla/FirmaLaura.jpeg}\\\\')
#Pagina.append('\\includegraphics[scale=0.35]{Figuras/Plantilla/FirmaMauricio.jpeg}\\\\')
Pagina.append('\\vspace{1.2cm}')
Pagina.append(u'Fecha de emisión:\\\\')
Pagina.append(u'%s\\\\'%today)
Pagina.append(u'\\vspace{1.5cm}')
Pagina.append('Código:\\\\')
Pagina.append('F-GAA-RA-76\\\\')
Pagina.append('Versión:\\\\')
Pagina.append('2\\\\')
Pagina.append('\\vspace{3cm}')
#~ Pagina.append('Para el proceso de gravimetria se cuenta con el apoyo Conhintec S.A.S, como Laboratorio subcontratado acreditado bajo la norma NTC-ISO/IEC 17025\\\\')
#~ Pagina.append('\\vspace{2cm}')
Pagina.append(u'\\textbf{Nota: }Este informe no puede ser replicado sin autorización del Área Metropolitana del Valle de Aburrá.')
Pagina.append('\\end{center}')

b=open('Pagina.tex', 'w')
np.savetxt('Pagina.tex', Pagina, fmt='%s')
b.close()


#-----------------------------------------------------------------------
#   Introduccion 
#-----------------------------------------------------------------------

Introduccion.append('\\restoregeometry')
Introduccion.append('')
Introduccion.append('\\chapter{Introducción}\label{Intro}')
Introduccion.append('\\begin{tikzpicture}')
Introduccion.append('    \\draw[CiceBlue3,line width=1] (0cm,0) -- (15cm,0);')
Introduccion.append('\\end{tikzpicture}')
Introduccion.append('')


### Introducción del contrato anterior al de marzo de 2020
#Introduccion.append(u'El Sistema de Alerta Temprana de Medellín y el Valle de Aburrá (SIATA), es un proyecto de Ciencia y Tecnología y una estrategia para la gestión de riesgos del Área Metropolitana del Valle de Aburrá y la Alcaldía de Medellín, que cuenta con el apoyo y los aportes de EPM e ISAGEN.')
#Introduccion.append('')
#Introduccion.append(u'El SIATA tiene como tarea fundamental alertar en tiempo real a los organismos gestores de riesgos y a la comunidad, frente a la posible ocurrencia de un fenómeno natural que pueda generar una emergencia, con este fin se realiza monitoreo en tiempo real de condiciones hidrometeorológicas de la región; desarrollo de modelos de pronóstico meteorológico e hidrológico, ajustados a las condiciones de la región; y entrega oportuna de información. El SIATA posee y opera equipos de monitoreo a lo largo y ancho del Valle del Aburrá  y en menor proporción fuera de él. Las sedes de investigación y desarrollo del proyecto se ubica en el sector Estadio (Calle 50 \# 71-147) y Aguacatala (Carrera 48A \# 10Sur-123), de la ciudad de Medellín (teléfono: 403 88 70).')
#Introduccion.append('')
#Introduccion.append(u'Desde el 1 de Agosto de 2016 el SIATA se constituye como nuevo operador de la Red de Monitoreo de Calidad del Aire  del Valle de Aburrá (REDMCA) a través del contrato de Ciencia y Tecnología 511 de 2017 entre el Área Metropolitana del Valle de Aburrá y la universidad EAFIT. Bajo esta figura, el SIATA se encarga de la operación permanente de la red; garantizando la operación continua de la misma y la activación de protocolos de contingencia en caso de falla del sistema. De igual forma, debe apoyar de manera priorizada la gestión de eventos críticos relacionados con la calidad del aire de los municipios de la jurisdicción, entregando reportes de situaciones críticas de manera permanente y ante alteraciones de las condiciones ambientales de la región que puedan ser monitoreadas por el sistema.') 
#Introduccion.append('')
#Introduccion.append(u'En este informe se presenta el análisis de los registros obtenidos de la Red de Monitoreo de Ruido Ambiental del Valle de Aburrá.')
#Introduccion.append('')

## Nueva introducción
Introduccion.append(u'El Sistema de Alerta Temprana de Medellín y el Valle de Aburrá (SIATA), es un proyecto de Ciencia y Tecnología y una estrategia para la gestión de riesgos del Área Metropolitana del Valle de Aburrá y la Alcaldía de Medellín, que cuenta con el apoyo y los aportes de EPM e ISAGEN.')
Introduccion.append('')
Introduccion.append(u'El SIATA tiene como tarea fundamental alertar en tiempo real a los organismos gestores de riesgos y a la comunidad, frente a la posible ocurrencia de un fenómeno natural que pueda generar una emergencia, con este fin se realiza monitoreo en tiempo real de condiciones hidrometeorológicas de la región; desarrollo de modelos de pronóstico meteorológico e hidrológico, ajustados a las condiciones de la región; y entrega oportuna de información. El SIATA posee y opera equipos de monitoreo a lo largo y ancho del Valle del Aburrá  y en menor proporción fuera de él. Las sedes de investigación y desarrollo del proyecto se ubica en el sector Estadio (Calle 50 \# 71-147) y Aguacatala (Carrera 48A \# 10Sur-123), de la ciudad de Medellín (teléfono: 403 88 70).')
Introduccion.append('')
Introduccion.append(u'Desde el 1 de Agosto de 2016 el SIATA se constituye como operador de la Red de Monitoreo de Calidad del Aire del Área Metropolitana del Valle de Aburrá (REDMCA), encargándose de la operación permanente de la red y la activación de protocolos de contingencia en caso de falla del sistema. De igual forma, debe apoyar de manera priorizada la gestión de eventos críticos relacionados con la calidad del aire de los municipios de la jurisdicción, entregando reportes de situaciones críticas de manera permanente y ante alteraciones de las condiciones ambientales de la región que puedan ser monitoreadas por el sistema.')
Introduccion.append('')
Introduccion.append(u'Las condiciones meteorológicas han sido identificadas como un elemento esencial para el pronóstico, entendimiento y planificación de la calidad del aire dentro de nuestra región metropolitana, siendo la atmósfera el medio donde se liberan, transportan y dispersan los contaminantes. La topografía compleja del Valle de Aburrá favorece, bajo condiciones de estabilidad atmosférica, la acumulación de contaminantes cerca de la superficie, especialmente durante las primeras horas de la mañana y durante las horas posteriores al atardecer.')
Introduccion.append('')
Introduccion.append(u'En este informe se presenta el análisis de los registros obtenidos de la Red de Monitoreo de Ruido Ambiental del Valle de Aburrá.')
Introduccion.append('')
b=open('Introduccion.tex', 'w')
np.savetxt('Introduccion.tex', Introduccion, fmt='%s')
b.close()

#-----------------------------------------------------------------------
#   Descripcion   
#-----------------------------------------------------------------------

Descripcion.append('\\restoregeometry')
Descripcion.append('')
Descripcion.append(u'\\chapter{Descripción de la Red de Ruido Ambiental}\\label{Des}')
Descripcion.append('\\begin{tikzpicture}')
Descripcion.append('    \\draw[CiceBlue3,line width=1] (0cm,0) -- (15cm,0);')
Descripcion.append('\\end{tikzpicture}')
Descripcion.append('')
Descripcion.append(u'Durante el mes la Red de Monitoreo de Ruido Ambiental estuvo constituida por %d puntos de monitoreo ubicados en 4 de los 10 municipios que conforman el Área Metropolitana del Valle de Aburrá. En dichas estaciones se realizaron mediciones tanto de nivel de presión sonora en bandas de frecuencia de tercios de octava, como de parámetros meteorológicos adicionales que pueden afectar las mediciones de nivel de presión sonora y son requeridos por la normativa nacional. La Figura \\ref{fig:Estaciones} presenta un mapa con la ubicación geográfica de las distintas estaciones de monitoreo.' %self.EstR[self.EstR['Ruido']==1].index.size)
#Descripcion.append(u'La Red de Monitoreo de Ruido Ambiental está constituida por %d puntos de monitoreo ubicados en 4 de los 10 municipios que conforman el Área Metropolitana del Valle de Aburrá. En dichas estaciones se realizan mediciones tanto de nivel de presión sonora a diferentes frecuencias como de parámetros meteorológicos. La Figura \\ref{fig:Estaciones} presenta un mapa con la ubicación geográfica de las distintas estaciones de monitoreo.' %self.Est[self.Est['Ruido']==1].index.size)
Descripcion.append('')
Descripcion.append('\\begin{figure}[h!]')
Descripcion.append('\\centering')
Descripcion.append('\\includegraphics[width=.85\\textwidth]{Figuras/Ruido/Mapa_Ruido.png}')
Descripcion.append('\\caption{Estaciones de monitoreo de Ruido Ambiental}')
Descripcion.append('\\label{fig:Estaciones}')
Descripcion.append('\\end{figure}')
Descripcion.append('')
#Descripcion.append(u'Algunas estaciones de la red utilizan un filtro de ponderación A el cual está diseñado para simular la respuesta del oído humano ante el ruido, atenuando las frecuencias bajas y altas, pero en menor medida las altas, ya que a bajas y altas frecuencias el oído humano no es tan sensible, mientras que a frecuencias entre 500 Hz y 6000 Hz el oído es mucho más sensible. Las demás estaciones utilizan un filtro Z, el cual es un filtro de frecuencias plano que responde a las frecuencias entre 10 Hz y 20000 Hz, este último es corregido para adoptar la ponderación del filtro A. La Tabla \\ref{tab_1} presenta el tipo de filtro utilizado en la medición de cada una de las estaciones.') 
Descripcion.append(u'Algunas estaciones de la red utilizan un filtro de ponderación A, el cual está diseñado para simular la percepción del oído humano ante el ruido: ya que el oído humano no presenta la misma sensibilidad a todas las frecuencias. Así pues, este filtro atenúa las frecuencias bajas y en menor medida las altas, de forma que su rango de mayor sensibilidad esta entre los 500 Hz y 6000 Hz. Los equipos de las demás estaciones utilizan un filtro frecuencial tipo Z, el cual es un filtro de frecuencias plano que responde a las frecuencias entre 10 Hz y 20000 Hz; al procesar los datos, los registros de dichos equipos se adaptan a filtro de ponderación A como requisito de la Resolución 0627 del 2006. La Tabla \\ref{tab_1} presenta un resumen del tipo de filtro utilizado por el equipo de medición en cada una de las estaciones.')
Descripcion.append('')
Descripcion.append('\\begin{table}[H]')
Descripcion.append('\\centering')
Descripcion.append('\\caption{Tipo de filtro utilizado en la medición de las estaciones de ruido.}')
Descripcion.append('\\includegraphics[width=1\\textwidth]{Figuras/Descripcion/Filtro.pdf}')
Descripcion.append('\\label{tab_1}')
Descripcion.append(u'\\floatfoot{\\textbf{Nota:} Los datos de las estaciones que miden con filtro de poderación Z se corrigen usando un filtro de ponderación A al procesar los datos}')
Descripcion.append('\\end{table}')
Descripcion.append('')  
Descripcion.append(u'La Resolución 0627 de 2006 del MAVDT (actual MADS) define los estándares máximos permisibles de niveles de emisión de ruido para los periodos diurno y nocturno, de acuerdo al tipo de zona en donde se ubique la estación. La Tabla \\ref{sector} establece el sector, el subsector y los niveles máximos permisibles de emisión de ruido en el horario diurno (entre las 07:01 y 21:00) y la nocturno (entre las 21:01 y 07:00) para cada una de las estaciones de la Red de Monitoreo de Ruido Ambiental, esta clasificación fue realizada de acuerdo al Plan de Ordenamiento Territorial de los respectivos municipios.') 
Descripcion.append('')

Descripcion.append('')
Descripcion.append('\\begin{table}[H]')
Descripcion.append('\\centering')
Descripcion.append(u'\\caption{Sector, subsector y estándares máximos de ruido ambiental para cada estación.}')
Descripcion.append('\\includegraphics[width=1\\textwidth]{Figuras/Descripcion/sector.pdf}')
Descripcion.append('\\label{sector}')
Descripcion.append('\\end{table}')
Descripcion.append('')
#Descripcion.append(u'\\textbf{Nota: }Como parte del proceso de aseguramiento de la calidad de los datos, se identificó la necesidad de realizar ajustes en la metodología de corrección por tonalidad de los niveles de ruido ambiental, tal que se garantice el cumplimiento de los requisitos establecidos en la Resolución 627 de 2006. Los resultados presentados en este informe están corregidos según la metodología ajustada.')
Descripcion.append(u'Los niveles de presión sonora equivalentes ponderados A  en un periodo de tiempo T $(LAeqT)$ son corregidos por ajuste de tonalidad y contenido de información frecuencial, para obtener los niveles corregidos de presión sonora continuos equivalentes ponderados A $(LRAeqT)$ con los cuales se realiza la comparación con los estándares máximos permisibles de emisión de ruido y ruido ambiental, este procedimiento se efectúa de acuerdo con la metodología establecida en la Resolución 0627 de 2006. De igual forma se invalidan los datos en los periodos con precipitaciones o donde la velocidad del viento supera 3 metros por segundo.')
Descripcion.append('')
#Descripcion.append(u'En la Tabla \\ref{tb:Validos_cont} se organizan los porcentajes de datos válidos para cada variable de ruido ambiental por estación de la Red. Se hace énfasis en que los niveles de presión sonora continuo equivalente  diurno $(LRAeq,d)$,  nocturno $(LRAeq,n)$ y diurno-nocturno $(LRAeq,dn)$son obtenidos a partir del promedio logaritmico de los niveles de presión sonora horario $(LRAeqh)$, en su respecivo periodo del día.')
Descripcion.append(u'En la Tabla \\ref{tb:Validos_cont} se organizan los porcentajes de datos válidos para cada variable de ruido ambiental por estación de la Red. Se hace énfasis en que los niveles de presión sonora continuo equivalente  diurno $(LRAeq,d)$ y  nocturno $(LRAeq,n)$ son obtenidos a partir del promedio logaritmico de los niveles de presión sonora horario $(LRAeqh)$, en su respecivo periodo del día.')
#Descripcion.append('\\newpage ')

Flag24h=self.Aire_db(LRAdiario=True,Variable=['LRAeqD','LRAeqN','LRAeqDN'],Flags=True)
Flag1h=self.Aire_db(LRAhorario=True,Flags=True)

## ya se comprobó que dan resultados iguales
Flag24h = ruido.consulta(variable='flags',fechai=ruido.fechai,fechaf=ruido.fechaf).astype(float)
Flag24h = Flag24h.rename(columns={'flagsD':'LRAeqD','flagsN':'LRAeqN','flagsDN':'LRAeqDN'})
Flag1h = ruido.consulta(variable='flags',tipo='H',fechai=ruido.fechai,fechaf=ruido.fechaf).astype(float)['flagsH']


ValidoBox=pnd.DataFrame(index=Flag1h.columns,columns=['LRAeqH','LRAeqD','LRAeqN','LRAeqDN'])
#ValidoBox['LRAeqH']=Flag1h[Flag1h<3].count()/len(pnd.date_range(self.Fechai,self.Fechaf,freq='h'))*100
#ValidoBox['LRAeqD']=Flag24h['LRAeqD'][Flag24h['LRAeqD']<3].count()/len(pnd.date_range(self.Fechai,self.Fechaf,freq='D'))*100
#ValidoBox['LRAeqN']=Flag24h['LRAeqN'][Flag24h['LRAeqN']<3].count()/len(pnd.date_range(self.Fechai,self.Fechaf,freq='D'))*100
ValidoBox['LRAeqH']=Flag1h[Flag1h<3].count()/Flag1h[Flag1h>0].count()*100
ValidoBox['LRAeqD']=Flag24h['LRAeqD'][Flag24h['LRAeqD']<3].count()/Flag24h['LRAeqD'][Flag24h['LRAeqD']>0].count()*100
ValidoBox['LRAeqN']=Flag24h['LRAeqN'][Flag24h['LRAeqN']<3].count()/Flag24h['LRAeqN'][Flag24h['LRAeqN']>0].count()*100
#ValidoBox['LRAeqDN']=Flag24h['LRAeqDN'][Flag24h['LRAeqDN']<3].count()/Flag24h['LRAeqDN'][Flag24h['LRAeqDN']>0]*100


Descripcion.append(u'\\begin{center}')
Descripcion.append('{\\scriptsize ')

Descripcion.append(u'\\begin{longtable}{>{\centering\\arraybackslash}m{2.2cm}>{\centering\\arraybackslash}m{2.2cm}>{\centering\\arraybackslash}m{2.2cm}>{\centering\\arraybackslash}m{2.2cm}m{0cm}}')
#Ruido.append(u'\\caption{Porcentaje de datos válidos para el mes de %s}'%(self.mes_es[int(self.Fechai[5:7])]))
Descripcion.append(u'\\caption{Porcentaje de datos válidos para el mes de %s del %s}'%(self.mes_es[int(self.Fechai[5:7])],self.Fechai[0:4]))
Descripcion.append(u'\\hline \\hline \\hline')
Descripcion.append(u'\\rowcolor[rgb]{0.68, 0.86, 0.92}')

Descripcion.append(u'\\textbf{Estaciones} &\\textbf{%s}&\\textbf{%s}&\\textbf{%s}& \\rule[-0.3cm]{0cm}{0.4cm} \\\\ \\hline' %('$LRAeqh$','$LRAeq,d$','$LRAeq,n$'))#,'$LRAeq,dn$')) 
Descripcion.append(u'\\hline \\hline')
Descripcion.append(u'\\endhead')
Descripcion.append('')

for est in self.EstR[self.EstR['Nombre'].isin(ValidoBox.index)].sort_values(by='Latitud',ascending=False)['Nombre'].values:
	Descripcion.append(u'\\textbf{'+est+'} &\\textbf{%s}&\\textbf{%s}&\\textbf{%s}& \\rule[-0.3cm]{0cm}{0.4cm} \\\\ \\hline' %tuple(map(lambda x: '%.1f'%ValidoBox[x][est] ,('LRAeqH','LRAeqD','LRAeqN')))) #,'LRAeqDN'))))


Descripcion.append('')

Descripcion.append(u'\\hline')
Descripcion.append(u'\\label{tb:Validos_cont}')
Descripcion.append(u'\\end{longtable}}')
Descripcion.append(u'\\end{center}')

Descripcion.append('')
Descripcion.append(u'Los equipos de ruido  pertenecientes a la red poseen un mantenimiento semanal, en donde se lleva a cabo la limpieza general, revisión de conexiones eléctricas y la descarga de los datos; además de otras actividades que sean necesarias. En ocasiones los equipos presentan algún inconveniente técnico que no permite el registro satisfactorio de los datos,y será solo evidente en el momento de su descarga.')
Descripcion.append('')
#Descripcion.append('Durante el mes de Junio, en la estación MED-SIAT fue necesario invalidar manualmente los datos de las 17:00 a las 19:00 del 18 de junio debido a la activación automatica del generador electrico de emergencia que se dío en ese periodo, sin embargo, a pesar de este proceso se logra un 82.6\% de datos válidos,por lo que se logra la meta del 75\% de datos validos para el mes.')
Descripcion.append('Desde el 29 de Junio de 2021 hasta el 19 de Julio de 2021 las estaciones GIR-BOTJ, MED-SIAT, MED-PJIR, ITA-SAMA y SAB-SEMS estubieron fuera de funcionamiento en el proceso de calibración externa anual, por lo que no se logra la meta del 75\% de datos validos para el mes en dichas estaciones.')
Descripcion.append('')
Descripcion.append('Por otro lado, el equipo CUBE de la estación CEN-TRAF tuvo que ser remitido nuevamente al fabricante para solucionar problemas de comunicación que siguen presentando fallas, por lo que no se logra la meta del 75\% de datos validos para el mes.')
Descripcion.append('')
#Descripcion.append('Vale la pena indicar que para los datos de LAeqD y LAeqN se logró superar la meta del 75\% de datos válidos para todas las estaciones excepto para CEN-TRAF por lo indicado.')
Descripcion.append('')
## Explicación de los datos faltantes de tantas estaciones
Descripcion.append('')
#Descripcion.append(u'\\textbf{Nota: }1. Debido a las especificaciones técnicas de los equipos que componen la red de ruido ambiental, no es posible hacer el seguimiento de los niveles de ruido residual según lo requerido en la Resolución 0627 de 2006. En este sentido, y como estimación del ruido residual, para cada estación se reporta el Nivel Percentil L90.')
Descripcion.append(u'\\textbf{Nota: }1. Debido a las condiciones técnicas de medición que se presentan en los equipos que componen la red de ruido ambiental, en las cuales se dificulta conocer cada una las fuentes especificas que causan el ruido y resulta imposible apagarlas, no es posible hacer el seguimiento de los niveles de ruido residual según lo requerido en la Resolución 0627 de 2006. En este sentido, y como estimación del ruido residual contemplada en dicha resolución para los casos donde no es posible apagar la fuente, se reporta el Nivel Percentil L90 para cada estación.')
Descripcion.append('')
#Descripcion.append(u'2. Todos los cálculos reportados en este informe se realizan según lo definido en el procedimiento P-GAA-RA-14 Ruido Ambiental.')
#Descripcion.append(u'Los resultamos presentados en este informe se calculan a partir de los niveles de presión sónora sometidos a muestreo durante el mes. Los calculos se realizan  según  lo  definido  en  el procedimiento P-GAA-RA-14 Ruido Ambiental.')
Descripcion.append(u'Los  resultados  presentados  en  este  informe  se  calculan  a  partir  de  los  niveles  de  presión  sónora sometidos  a  muestreo  durante  el  mes de %s, en responsabilidad del proyecto SIATA.  Los  calculos  se  realizan  según  lo  definido  en  el  procedimiento P-GAA-RA-14 Ruido Ambiental'%mes_minus)
Descripcion.append('')
Descripcion.append('Los equipos de la red de monitoreo de ruido son calibrados anualmente por parte de los proveedores de los dispositivos, estos son INTECCON y TEKCEN, ambos cuentan con laboratorios acreditados bajo la norma NTC-ISO/IEC 17025')
Descripcion.append('')
#Descripcion.append(u'La corrección de los registros históricos se presentará en un informe adicional, en el que se explicará con mayor detalle los ajustes realizados en la metodología de cálculo.')

Descripcion.append(u'\\section{Descripción de las estaciones de monitoreo de Ruido Ambiental}')
Descripcion.append('')
Descripcion.append('\\subsection{Estación GIR-BOTJ}')
Descripcion.append('')
Descripcion.append(u'La estación GIR-BOTJ, ubicada en el municipio de Girardota se encuentra en una esquina del parque municipal, en el local comercial de la Droguería Botica Junín, con dirección: Carrera 15 No 6 - 05. Esta estación tiene como coordenadas 6º 22’ 49,3’’ N y 75º 26’ 56,1’’ W y una altura sobre el nivel del mar de 1424 m.')
Descripcion.append('')
Descripcion.append(u'La estación está influenciada por las actividades inherentes al parque municipal; como almacenes y locales comerciales, bares, discotecas y por flujos vehiculares del sector, que generan un aporte importante al Ruido Ambiental de la zona.')
Descripcion.append('')
Descripcion.append('\\begin{figure}[H]')
Descripcion.append('\\begin{center}')
Descripcion.append('\\begin{tabular}{cc}')
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/GIR-BOTJ.jpeg} &' )
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/GIR-BOTJ2.jpeg} \\\\' )
Descripcion.append('\\end{tabular}')
Descripcion.append(u'\\caption{Localización de sonómetro en la estación GIR-BOTJ}')
Descripcion.append('\\end{center}')
Descripcion.append('\\end{figure}')
Descripcion.append('')
#Descripcion.append(u'\subsection{Estación GIR-SOSN}')
#Descripcion.append('')
#Descripcion.append(u'La estación GIR-SOSN se encuentra ubicada en la carrera 19 con calle 10, en el nuevo Sistema Integral de Gestión de Riesgo (SOS) Aburrá Norte, tiene como coordenadas 6º 22’ 52,8’’ N y 75º 27’ 15,7’’ W y una altura sobre el nivel del mar de 1442 m. Se encuentra en una zona residencial donde se existen talleres mecánicos a 20 metros de distancia, en la parte posterior está un terreno baldío que no se utiliza para nada en especial')
#Descripcion.append('')
#Descripcion.append('\\begin{figure}[H]')
#Descripcion.append('\\begin{center}')
#Descripcion.append('\\begin{tabular}{cc}')
#Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/GIR-SOSN.jpeg} &' )
#Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/GIR-SOSN2.jpeg} \\\\' )
#Descripcion.append('\\end{tabular}')
#Descripcion.append(u'\\caption{Localización de sonómetro en la estación GIR-SOSN}')
#Descripcion.append('\\end{center}')
#Descripcion.append('\\end{figure}')
#Descripcion.append('')

Descripcion.append('')
Descripcion.append(u'\subsection{Estación MED-PJIR}')
Descripcion.append('')
#Descripcion.append(u'La estación MED-PJIC se encuentra ubicada en el Politécnico Jaime Isaza Cadavid en la carrera 48 N° 7 -151, su principal fuente de ruido es el tráfico rodante que circula por la Avenida Las Vegas en ambos sentidos. Cabe agregar que el equipo de medición se encuentra en la portería de ingreso del Politécnico Jaime Isaza Cadavid, lo que podría influir en cierto grado en las mediciones. Tiene como coordenadas 06º12\' 47,8’’ N y 75º 34\' 48,7’’ W y una altura sobre el nivel del mar de 1532 m.') 
Descripcion.append(u'La estacion MED-PJIR se encuentra ubicada dentro del Politecnico Jaime Isaza Cadavid en la carrera 48 N 7 -151, en un parqueadero cercano a la Av. Regional. Su principal fuente de ruido es el tráfico rodante que circula por dicha avenida, que incluye motos, autos y tráfico pesado (buses, camiones, tractomulas). El punto de instalación tiene como coordenadas 06° 12’ 24,8” N y 75° 34’ 44,4” W y una altura sobre el nivel del mar de 1532 m.')
Descripcion.append('')
Descripcion.append('\\begin{figure}[H]')
Descripcion.append('\\begin{center}')
Descripcion.append('\\begin{tabular}{cc}')
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/MED-PJIR2.jpeg}' )
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/MED-PJIR.jpeg}') # \\\\' )
Descripcion.append('\\end{tabular}')
Descripcion.append('\\end{center}')
Descripcion.append('\\end{figure}')
Descripcion.append('')


#~ Descripcion.append('\subsection{Estación BEL-ALCA}')
#~ Descripcion.append('')
#~ Descripcion.append('La estación BEL-ALCA se encuentra ubicada en la alcaldía del municipio de Bello contigua al parque municipal con dirección carrera 50 N° 51-00. Esta estación está influenciada por locales comerciales, restaurantes, bares y discotecas que se encuentran alrededor del parque municipal, los cuales generan un aporte importante de ruido ambiental de la zona, es de aclarar que el flujo vehicular es restringido en este punto, está influenciada además por la actividad del parque municipal, donde la mayoría de los días miércoles y viernes, se lleva a cabo la gimnasia del adulto mayor. Tiene como coordenadas 6º 20’ 17,11’’ norte y 75º 33’ 41,8’’ oeste y una altura sobre el nivel del mar de 1428 m.') 
#~ Descripcion.append('\subsection{Estación MED-UNFM}')
#~ Descripcion.append('')
#~ Descripcion.append('Estación ubicada en la Universidad Nacional de Colombia - Sede Medellín, Facultad de Minas. Se encuentra influenciada principalmente por el tráfico rodante que circula por la Av. 80 siendo esta el empalme con la vía al mar. Tiene como coordenadas 06º16\' 37,2\'\' N y 075º35\' 45,8\'\' W y una altura sobre el nivel del mar de 1568 m.') 
#~ Descripcion.append('')
Descripcion.append('')
Descripcion.append(u'\subsection{Estación CEN-TRAF}')
Descripcion.append('')
Descripcion.append(u"La estación CEN-TRAF se encuentra ubicada en la carrera 53 Nº 52-51, en un parqueadero localizado en el centro de la ciudad de Medellín, con coordenadas 6º15\' 9.2\'\'N y 75º34\'10.488\'\'W, a una altura de 1472 msnm. Su ubicación le confiere un ambiente permeado por el quehacer social y comercial de la ciudad, caracterizado por la confluencia constante de personas provenientes de diferentes lugares de la ciudad y fuera de ella.")
Descripcion.append('')
Descripcion.append(u'Su principal fuente de ruido está dada por el denso flujo vehicular que lo rodea, al encontrarse en cercanía de una intersección vehicular por la que transitan diferentes rutas de buses y diversos tipos de vehiculos como motocicletas, camiones medianos y vehículos livianos. El ruido en el sector además está influenciado por la presencia de venteros ambulantes, almacenes comerciales y restaurantes.')
Descripcion.append('')
Descripcion.append('\\begin{figure}[H]')
Descripcion.append('\\begin{center}')
Descripcion.append('\\begin{tabular}{cc}')
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/CEN-TRAF.jpeg} &' )
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/CEN-TRAF2.jpeg} \\\\' )
Descripcion.append('\\end{tabular}')
Descripcion.append('\\caption{Localización de sonómetro en la estación CEN-TRAF}')
Descripcion.append('\\end{center}')
Descripcion.append('\\end{figure}')
Descripcion.append('')


#~ Descripcion.append('\\begin{figure}[H]')
#~ Descripcion.append('\\begin{center}')
#~ Descripcion.append('\\begin{tabular}{cc}')
#~ Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/MED-UNFM.jpeg} &' )
#~ Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/MED-UNFM2.jpeg} \\\\' )
#~ Descripcion.append('\\end{tabular}')
#~ Descripcion.append('\\caption{Localización de sonómetro en la estación MED-UNFM}')
#~ Descripcion.append('\\end{center}')
#~ Descripcion.append('\\end{figure}')
Descripcion.append('')
Descripcion.append(u'\subsection{Estación MED-ZOOL}')
Descripcion.append('')
Descripcion.append(u"La estación MED-ZOOL se localiza en la carrera 52 Nº 20-63, en el Parquedero del Parque Zoológico Santa Fe de la ciudad de Medellín, contiguo a la avenida Guayabal. Posee coordenadas de 6º13\'28,1\'\'N y 75º34\'45,2\'\'W a una altura sobre el nivel del mar de 1486 msnm.")
Descripcion.append('')
Descripcion.append(u'De su ubicación, la principal fuente de ruido es la avenida Guayabal, una de las principales vías del suroccidente de Medellín, que es transitada por diversos tipos de vehículos, incluyendo motos, camiones y varias rutas de buses. En sus proximidades se encuentran las instalaciones del Zoológico Santa Fe y el Parque Confenalco Guayabal; donde se realizan ocasionalmente eventos y espectáculos sociales que también pueden constituir una fuente importante de ruido.')
Descripcion.append('')
Descripcion.append('\\begin{figure}[H]')
Descripcion.append('\\begin{center}')
Descripcion.append('\\begin{tabular}{cc}')
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/MED-ZOOL.jpeg}' )
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/MED-ZOOL2.jpeg}') # \\\\' )
Descripcion.append('\\end{tabular}')
Descripcion.append('\\end{center}')
Descripcion.append('\\end{figure}')
Descripcion.append('')
Descripcion.append(u'\subsection{Estación MED-SIAT}')
Descripcion.append('')
Descripcion.append(u'La estación MED-SIAT se encuentra ubicada en la calle 50 con carrera 71, dentro de la unidad deportiva Atanasio Girardot, tiene como coordenadas 6º 15’ 33,2’’ N y 75º 35’ 19.1’’ W y una altura sobre el nivel del mar de 1484 m. Se encuentra en una de las zonas residenciales más centrales de la ciudad, en el centro occidente de Medellín, en donde confluyen dos importantes vías: la avenida 70, que corre de sur a norte y la avenida Colombia que corre de oriente a occidente.')
Descripcion.append('')
Descripcion.append('\\begin{figure}[H]')
Descripcion.append('\\begin{center}')
Descripcion.append('\\begin{tabular}{cc}')
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/MED-SIAT.jpeg} ' )
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/MED-SIAT2.jpeg}') # \\\\' )
Descripcion.append('\\end{tabular}')
Descripcion.append('\\end{center}')
Descripcion.append('\\end{figure}')
Descripcion.append('')
Descripcion.append('\subsection{Estación ITA-ACUA}')
Descripcion.append('')
#Descripcion.append('La estación ITA-CODI se encuentra ubicada en el Complex de Ditaires del municipio de Itagüí, contigua al Acuaparque Ditaires con dirección calle 35 N° 61-11. Esta estación está influenciada por locales comerciales, restaurantes, bares y discotecas que se encuentran a su alrededor, por el parque recreativo y por el Estadio Metropolitano del municipio, los cuales generan un aporte importante de ruido ambiental de la zona. Tiene como coordenadas 06º 10\' 22,8\'\' N y 75º 37\' 55,6\'\' W y una altura sobre el nivel del mar de 1668 m.')
Descripcion.append('La  estacion  ITA-ACUA  se  encuentra  ubicada  en  el Acuaparque Ditaires con direccion calle Cl. 36 \# 59-69. Esta estacion esta influenciada por locales comerciales, restaurantes, bares y discotecas que se encuentran a su alrededor, por el parque recreativo y por el Estadio Metropolitano del municipio, los cuales pueden generan un aporte importante de ruido ambiental de la zona. Tiene como coordenadas 6° 10\' 18.0841\'\' N y 75° 37\' 37.0247\'\' W y una altura sobre el nivel delmar de 1668 m')
Descripcion.append('')
Descripcion.append('\\begin{figure}[H]')
Descripcion.append('\\begin{center}')
Descripcion.append('\\begin{tabular}{cc}')
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/ITA-ACUA.jpeg} &' )
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/ITA-ACUA2.jpeg} \\\\' )
Descripcion.append('\\end{tabular}')
Descripcion.append(u'\\caption{Localización de sonómetro en la estación ITA-ACUA}')
Descripcion.append('\\end{center}')
Descripcion.append('\\end{figure}')
Descripcion.append('')
Descripcion.append('\subsection{Estación ITA-SAMA}')
Descripcion.append('')
Descripcion.append('La estación ITA-SAMA se encuentra ubicada en el parqueadero de la distribuidora Milenium, Cra 52 N 77 b-10, barrio Santa María. Junto a la estación se encuentra un alto flujo vehicular que genera aportes significativos de ruido ambiental en la zona. Tiene como coordenadas 6º 11’ 12.8’’ N y 75º 35’ 41,2’’ W y una altura sobre el nivel del mar de 1530.')
Descripcion.append('')
Descripcion.append('\\begin{figure}[H]')
Descripcion.append('\\begin{center}')
Descripcion.append('\\begin{tabular}{cc}')
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/ITA-SAMA.jpeg} &' )
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/ITA-SAMA2.jpeg} \\\\' )
Descripcion.append('\\end{tabular}')
Descripcion.append(u'\\caption{Localización de sonómetro en la estación ITA-SAMA}')
Descripcion.append('\\end{center}')
Descripcion.append('\\end{figure}')

#~ Descripcion.append('\subsection{Estación SAB-CAMS}')
#~ Descripcion.append('')
#~ Descripcion.append('La estación SAB-CAMS se encuentra ubicada en el Centro Administrativo Municipal de Sabaneta sobre la vía que conduce al parque municipal en la dirección carrera 45 N° 71 sur-24 y está rodeada de locales comerciales, restaurantes, bares y discotecas. Estos factores generan un aporte importante en ruido ambiental de la zona. Tiene como coordenadas 6º 9’ 13,0’’ N y 75º 37’ 11,2’’ W y una altura sobre el nivel del mar de 1618.')
#~ Descripcion.append('')
Descripcion.append(u'\subsection{Estación SAB-SEMS}')
Descripcion.append('')
Descripcion.append(u'La estación SAB-SEMS se encuentra ubicada en la Secretaria de Educación de Sabaneta sobre la vía que conduce al parque municipal en la dirección carrera 45 N° 72 sur-25 y está rodeada de locales comerciales, restaurantes, bares y discotecas. Estos factores generan un aporte importante en ruido ambiental de la zona. Tiene como coordenadas 6º 9’ 13,0’’ N y 75º 37’ 11,2’’ W y una altura sobre el nivel del mar de 1618.')
Descripcion.append('')
Descripcion.append('\\begin{figure}[H]')
Descripcion.append('\\begin{center}')
Descripcion.append('\\begin{tabular}{cc}')
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/SAB-SEMS.jpeg} &' )
Descripcion.append('\\includegraphics[width=0.48\\textwidth]{Figuras/Descripcion/SAB-SEMS2.jpeg} \\\\' )
Descripcion.append('\\end{tabular}')
Descripcion.append('\\caption{Localización de sonómetro en la estación SAB-SEMS}')
Descripcion.append('\\end{center}')
Descripcion.append('\\end{figure}')
Descripcion.append('')

b=open('Descripcion.tex', 'w')
np.savetxt('Descripcion.tex', Descripcion, fmt='%s')
b.close()

#-----------------------------------------------------------------------
#   Resultados
#-----------------------------------------------------------------------


Resultados.append('\\restoregeometry')
Resultados.append('')
Resultados.append('\\chapter{Resultados de las Mediciones de Ruido}\label{Gir}')
Resultados.append('\\begin{tikzpicture}')
Resultados.append('    \\draw[CiceBlue3,line width=1] (0cm,0) -- (15cm,0);')
Resultados.append('\\end{tikzpicture}')
Resultados.append('')
Resultados.append(u'\\section{Nivel de Presión Sonora}')
Resultados.append('')
Resultados.append(u'Las Figura \\ref{fig:PS_1} presenta los niveles corregidos de presión sonora continuo equivalente diurno $(LRAeq,d)$ y los niveles de presión sonora continuo equivalente nocturno $(LRAeq,n)$ para cada estación de la red. Todos los resultados reportados son validados por condiciones meteorológicas, (mediciones en presencia de precipitaciones no son tenidas en cuenta para el procesamiento de la información), y corregidos por ajuste de componentes tonales y horario. Los datos no son corregidos por componentes impulsivos puesto que los equipos no permiten la medición simultánea en filtro de ponderación slow (S) e Impulsive (I).')
Resultados.append('')
print 1
figs=gb.glob('Figuras/Ruido/Ruido_Norma*')
caption = [1]+range(4,len(figs),3)
if caption[-1] != len(figs)-1 : caption.append(len(figs)-1)
figure = [0]+range(2,len(figs),3)
print 2
for i in range(len(figs)):
	if i in figure:
		Resultados.append('\\begin{figure}[H]')
		if i > 1:
			Resultados.append('\\ContinuedFloat')
			#~ Resultados.append('\\phantomcaption')
		Resultados.append('\\centering')
		Resultados.append('\\begin{tabular}{c}')
	Resultados.append('\\includegraphics[scale=0.7]{%s} \\\\' %figs[i])
	if i in caption: 
		Resultados.append('\\end{tabular}')
		Resultados.append(u'\\caption{LRAeq,d y LRAeq,n para las estaciones de monitoreo de Ruido Ambiental.}' if i == 0 else '\\caption{Continuación}')
		Resultados.append('\\label{fig:PS_1}')
		Resultados.append('\\end{figure}')
		Resultados.append('')
print 3


#~ ##########################################################################
T = pnd.DataFrame()
T['LRAeqD'] = self.LR.LRAeqD.apply(lambda x: x[x>a.norma_ruido[x.name][1]].count()/float(x.count())*100)
T['Norma_D'] = self.LR.LRAeqD.apply(lambda x: a.norma_ruido[x.name][1] )
T['LRAeqN'] = self.LR.LRAeqN.apply(lambda x: x[x>a.norma_ruido[x.name][2]].count()/float(x.count())*100) #.map(lambda x: '%.1f' %x if np.isfinite(x) else np.NaN)
T['Norma_N'] = self.LR.LRAeqN.apply(lambda x: a.norma_ruido[x.name][2] )

print 3
max_dia = T['LRAeqD'][T['LRAeqD']==T['LRAeqD'].max()]
min_dia = T['LRAeqD'][T['LRAeqD']==T['LRAeqD'].min()]
max_noche = T['LRAeqN'][T['LRAeqN']==T['LRAeqN'].max()]
min_noche = T['LRAeqN'][T['LRAeqN']==T['LRAeqN'].min()]
print 4

#############
# Día

Resultados.append('')
Resultados.append('De acuerdo con los resultados obtenidos es posible observar como ')

if max_dia.size == 0:
	Resultados.append(u'no se presentaron excedencias a la norma diurna dentro de las estaciones de monitoreo de Ruido Ambiental. ')
elif max_dia.size == 1:
	Resultados.append(u'la estación %s es la única que presenta excedencias a la norma diurna, para el total de sus muestras, el porcentaje de excedencias a la norma es igual a %.1f\%%. ' %(max_dia.index.values,max_dia.values))
else:
	nombrecorto_max_dia = Fnombrecorto(max_dia)
	Resultados.append(u'las estaciones %s, para el total de sus muestras, presentan los mayores porcentajes de excedencias a la norma diurna, igual a %.1f\%% . ' %(nombrecorto_max_dia,max_dia.values[0])) #VARIABLE

nombrecorto_min_dia = Fnombrecorto(min_dia)
if min_dia.values[0] == 0 :
	Resultados.append(u'Mientras que en la%s estaci%s %s no se registr%s excedencias a la norma diurna. ' %('' if min_dia.size == 1 else 's','ón' if min_dia.size == 1 else 'ones', nombrecorto_min_dia, 'ó' if min_dia.size == 1 else 'aron'))
else:
	Resultados.append(u'La%s estaci%s %s tiene%s el menor porcentaje de excedencias a la norma diurna equivalente a %s ' %('' if min_dia.size == 1 else 's','ón' if min_dia.size == 1 else 'ones' ,nombrecorto_min_dia,'' if min_dia.size == 1 else 'n','%.1f\%%.' %T.loc[min_dia.index.values[0],'LRAeqD'] if min_dia.size == 1 else '%.1f\%% en estas estaciones.' %T.loc[min_dia.index.values[0],'LRAeqD']))
print 5
#############
# Noche
Resultados.append('')
Resultados.append('Con respecto a la norma nocturna, ')
if max_noche.size == 0:
	Resultados.append(u'no se presentaron excedencias dentro de las estaciones de monitoreo de Ruido Ambiental.')
elif max_noche.size == 1:
	Resultados.append(u'la estación %s es la única que presenta excedencias, para el total de sus muestras, el porcentaje de excedencias es igual a %.1f\%%. ' %(max_noche.index.values,max_noche.values))
else:
	nombrecorto_max_noche  = Fnombrecorto(max_noche)
	Resultados.append(u'las estaciones %s, para el total de sus muestras, presentan los mayores porcentajes de excedencias igual a %.1f\%% .' %(nombrecorto_max_noche,max_dia.values[0])) #VARIABLE

nombrecorto_min_noche = Fnombrecorto(min_noche)
if min_noche.values[0] == 0 :
	Resultados.append(u'Sin embargo, en la%s estaci%s %s no se registr%s excedencias a la norma nocturna. ' %('' if min_noche.size == 1 else 's','ón' if min_noche.size == 1 else 'ones', nombrecorto_min_noche, 'ó' if min_noche.size == 1 else 'aron'))
else:
	Resultados.append(u'La%s estaci%s %s tiene%s el menor porcentaje de excedencias a la norma nocturna equivalente a %s ' %('' if min_noche.size == 1 else 's','ón' if min_noche.size == 1 else 'ones',nombrecorto_min_noche,'' if min_noche.size == 1 else 'n', '%.1f\%%.' %T.loc[min_noche.index.values[0],'LRAeqN'] if min_noche.size == 1 else '%.1f\%% en estas estaciones.' %T.loc[min_noche.index.values[0],'LRAeqN'] ))
print 6

Resultados.append('')
## Sugerencia por los altos niveles de presión sonora en Girardota
#Resultados.append(u'La estación GIR-BOTJ presenta altos niveles de presión sonora para los últimos días del mes de noviembre debido posiblemente a las fiestas de la Danza y el Sainete que se realizan entre los días 24 de noviembre y 1 de diciembre en el municipio de Girardota.')


##########################################################################
#                                                                          Pendiente Borrar
##########################################################################

Resultados.append('Adicionalmente, se añaden los valores correspondientes a los Niveles de presión sonora corregida Diurna y Nocturna en las figuras siguientes')
#Resultados.append(u'Los equipos de ruido pertenecientes a la red poseen un mantenimiento semanal, en donde se lleva a cabo la limpieza general, revisión de conexiones eléctricas y la descarga de los datos; además de otras actividades que sean necesarias. En ocasiones los equipos presentan algún inconveniente técnico que no permite el registro satisfactorio de los datos, y será solo evidente en el momento de su descarga.')
#Resultados.append('%s' %Texto_Ruido)
Resultados.append('')
#Resultados.append('\\newpage')
#Resultados.append(u'Durante el mes de octubre del 2018, en las estaciones MED-PLMA y SAB-SEMS se presentaron interrupciones en el fluido eléctrico, lo cual afectó el almacenamiento de los datos. En la estación SAB-SEMS esta situación provocó el daño de la batería interna del sonómetro. Actualmente ambos equipos operan correctamente.')
#Resultados.append(u'Así mismo, durante las actividades de mantenimiento de las estaciones, se evidenciaron problemas de configuración en los equipos de medición de las estaciones MED-SIAT y MED-PJIC que impidieron el correcto almacenamiento de los datos. Esta situación se corrigió y los equipos están operando con normalidad.')
Resultados.append(u'\\section{Nivel de presión sonora diurna}')
Resultados.append('')
Resultados.append('\\begin{figure}[H]')
Resultados.append('\\centering')
Resultados.append('\\begin{tabular}{c}')
Resultados.append('\\hspace{-6.0 cm}') #{-1.5cm}')
Resultados.append('\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_DN_diurno.pdf} \\\\')
Resultados.append('\\end{tabular}')
Resultados.append(u'\\caption{Nivel de presión sonora Diurna}')
Resultados.append('\\label{fig:lraeqD}')
Resultados.append('\\end{figure}')
Resultados.append('')

Resultados.append(u'\\section{Nivel de presión sonora nocturna}')
Resultados.append('')
Resultados.append('\\begin{figure}[H]')
Resultados.append('\\centering')
Resultados.append('\\begin{tabular}{c}')
Resultados.append('\\hspace{-6.0 cm}') #{-1.5cm}')
Resultados.append('\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_DN_nocturno.pdf} \\\\')
Resultados.append('\\end{tabular}')
Resultados.append(u'\\caption{Nivel de presión sonora Nocturna}')
Resultados.append('\\label{fig:lraeqN}')
Resultados.append('\\end{figure}')
Resultados.append('')



Resultados.append('')
Resultados.append('')
Resultados.append(u'\\section{Nivel día noche}')

Resultados.append('')
Resultados.append(u'Otro parámetro utilizado en la evaluación de ruido ambiental y que deriva de los niveles diurnos y nocturnos, es el nivel día noche. Este surgió en la Unión Europea y luego dio lugar al $LRAeq,dn$, un nivel equivalente de 24 horas que penaliza el nivel de presión sonora continuo equivalente del periodo nocturno en 10dB, asumiendo que el horario diurno incluye 14 horas y el nocturno 10. Este parámetro busca cuantificar la molestia recibida por el ruido ocasionado en la noche y por eso penaliza las mediciones nocturnas con 10dB(A). Los resultados del nivel día noche para cada una de las estaciones se presentan en la Figura \\ref{fig:dn_1}.')
Resultados.append('')
print 7
Resultados.append('')
Resultados.append('\\begin{figure}[H]')
Resultados.append('\\centering')
Resultados.append('\\begin{tabular}{c}')
Resultados.append('\\hspace{-6.0 cm}') #{-1.5cm}')
Resultados.append('\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_DN.pdf} \\\\')
Resultados.append('\\end{tabular}')
Resultados.append(u'\\caption{Nivel de Presión Sonara Día Noche para las estaciones de monitoreo de Ruido Ambiental}')
Resultados.append('\\label{fig:dn_1}')
Resultados.append('\\end{figure}')
Resultados.append('')

#figs=gb.glob('Figuras/Ruido/Ruido_DiurnoNocturno*')
##Sin una estación
##~ caption = [0]+range(3,len(figs),3)
##~ if caption[-1] != len(figs)-1 : caption.append(len(figs)-1)
##~ figure = [0]+range(1,len(figs),3)

#Sin 3 estaciones
#caption = [1] + range(4,len(figs),3)
#if caption[-1] != len(figs)-1 : caption.append(len(figs)-1)
#figure = [0]+range(2,len(figs),3)
#print 8
#for i in range(len(figs)):
#	if i in figure: 
#		Resultados.append('\\begin{figure}[H]')
#		if i > caption[0]: 
#			Resultados.append('\\ContinuedFloat')
#			#~ Resultados.append('\\phantomcaption')
#		Resultados.append('\\centering')
#		Resultados.append('\\begin{tabular}{c}')
#	Resultados.append('\\includegraphics[scale=0.7]{%s} \\\\' %figs[i])
#	if i in caption: 
#		Resultados.append('\\end{tabular}')
#		Resultados.append(u'\\caption{Nivel de Presión Sonara Día Noche para las estaciones de monitoreo de Ruido Ambiental.}' if i == caption[0] else '\\caption{Continuación}')
#		Resultados.append('\\label{fig:dn_1}')
#		Resultados.append('\\end{figure}')
#		Resultados.append('')

print 9
Resultados.append('')
Resultados.append(u'El Nivel de presión sonora equivalente para cada día de la semana es presentado en la Tabla \\ref{tb:Tab_Dias_1} para cada una de las estaciones. Estos valores son el resultado de sumar logarítmicamente el nivel de presión sonora de cada día de medición válido y posteriormente dividir por el número de días de medición válidos para el mes, con lo cual se puede calcular un equivalente promedio en el mes, por ejemplo, todos los lunes con datos válidos se suman y posteriormente se divide por el número de lunes con datos válidos en el mes para buscar un valor equivalente mensual del día lunes.') 

#Aqui va la tabla que lleva este nombre
#~ Resultados.append('\\caption{Nivel de presión sonora equivalente para cada día de la semana y para cada una de las estaciones.}')

Resultados.append('')
Resultados.append('\\begin{table}[H]')
Resultados.append('\\begin{center}')
Resultados.append(u'\\caption{Nivel de presión sonora equivalente para cada día de la semana y para cada una de las estaciones.}')
Resultados.append('\\fontsize{10}{2} \selectfont{')
Resultados.append('\\scalebox{0.75}{\\begin{tabular}{>{\centering\\arraybackslash}m{1.5cm}>{\centering\\arraybackslash}m{1.5cm}')
Resultados.append('>{\centering\\arraybackslash}m{1.5cm}>{\centering\\arraybackslash}m{1.5cm}')
Resultados.append('>{\centering\\arraybackslash}m{1.8cm}>{\centering\\arraybackslash}m{1.5cm}')
Resultados.append('>{\centering\\arraybackslash}m{1.5cm}>{\centering\\arraybackslash}m{1.5cm}')
Resultados.append('>{\centering\\arraybackslash}m{1.5cm}>{\centering\\arraybackslash}m{1cm}')
Resultados.append('>{\centering\\arraybackslash}m{1cm}}')
Resultados.append('\\hline \hline ')            
Resultados.append('\\rowcolor{LightBlue2} ')
Resultados.append(u'\\multicolumn{2}{c}{\cellcolor{LightBlue2}\\textbf{Estación}} & \\textbf{Lunes} & \\textbf{Martes} & \\textbf{Miércoles} & \\textbf{Jueves} & \\textbf{Viernes} & \\textbf{Sábado} & \\textbf{Domingo} & \\textbf{L-V} & \\textbf{S-D} \\\\')             
Resultados.append('\\hline \hline')
print 10

for est in LRAeqWD.columns.values:
	Resultados.append('\\multirow{2}{*}{\\rule[-0.3cm]{0cm}{0.8cm} %s} & Diurna & %s' %(est,str(map(lambda x: ('%.2f' if x==LRAeqWD.index.values[-1] else '%.2f &') %LRAeqWD.loc[x,est],LRAeqWD.index.values)).strip("[]").replace("'","").replace(",","")))
	Resultados[-1]=Resultados[-1].replace('nan','ND')
	Resultados.append('\\rule[-0.3cm]{0cm}{0.8cm} \\\\ \cline{3-11}')
	Resultados.append('& Nocturna & %s' %(str(map(lambda x:('%.2f' if x==LRAeqWN.index.values[-1] else '%.2f &') %LRAeqWN.loc[x,est],LRAeqWN.index.values)).strip("[]").replace("'","").replace(",",""))) 
	Resultados[-1]=Resultados[-1].replace('nan','ND')
	Resultados.append('\\rule[-0.3cm]{0cm}{0.8cm} \\\\ \\hline \\\\')                                                                                                 

print 11
Resultados.append('\\hline')
Resultados.append(u'\\multicolumn{11}{l}{L-V: Lunes a Viernes, S-D: Sábado a Domingo }')
Resultados.append('\\end{tabular}} }')
Resultados.append('\\label{tb:Tab_Dias_1}')
Resultados.append('\\end{center}')
Resultados.append('\\end{table}')
Resultados.append('')
print 12
#estacion	=  self.LR.LRAeqDN.columns.values[np.where(self.LR.LRAeqDN==self.LR.LRAeqDN.max().max())[1][0]]
#dia			=  self.LR.LRAeqDN.index[np.where(self.LR.LRAeqDN==self.LR.LRAeqDN.max().max())[0][0]]

#Resultados.append(u'El mayor nivel de contaminación acústica del mes, igual a %.1f $dB(A)$, se presentó el día %s en la estación %s. ' %(self.LR.LRAeqDN.max().max(),dia.strftime('%A, %d de %B'),estacion)) #VARIABLE
#Resultados.append('')

##Diembre2018

estacionD	=  self.LR.LRAeqD.columns.values[np.where(self.LR.LRAeqD==self.LR.LRAeqD.max().max())[1][0]]
diaD			=  self.LR.LRAeqD.index[np.where(self.LR.LRAeqD==self.LR.LRAeqD.max().max())[0][0]]
estacionN	=  self.LR.LRAeqN.columns.values[np.where(self.LR.LRAeqN==self.LR.LRAeqN.max().max())[1][0]]
diaN			=  self.LR.LRAeqN.index[np.where(self.LR.LRAeqN==self.LR.LRAeqN.max().max())[0][0]]

if estacionD!=estacionN:
	Resultados.append(u'El mayor nivel de contaminación acústica del mes en horario diurno, igual a %.1f $dB(A)$, se presentó el día %s en la estación %s; mientras que el mayor nivel de presión equivalen nocturno fue registrados en la estación %s, con un valor de %.1f para el %s. ' %(self.LR.LRAeqD.max().max(),diaD.strftime('%A, %d de %B'),estacionD,estacionN,self.LR.LRAeqN.max().max(),diaN.strftime('%A %d de %B'))) #VARIABLE
else:
	Resultados.append(u'El mayor nivel de contaminación acústica del mes en horario diurno, igual a %.1f $dB(A)$, se presentó el día %s en la estación %s; esta estación también presento el mayor nivel de presión equivalen nocturno, con un valor de %.1f para el %s. ' %(self.LR.LRAeqD.max().max(),diaD.strftime('%A, %d de %B'),estacionD,self.LR.LRAeqN.max().max(),diaN.strftime('%A %d de %B'))) #VARIABLE
Resultados.append('')

print 13
Resultados.append(u'Las Figuras \\ref{fig:Dias} y \\ref{fig:Noches} corresponden a la representación gráfica de la información anterior, de acuerdo a esto puede observarse como ')
inicia_mayuscula = False
temp, c = ['nocturnos','diurnos'] , 0

relND = LRAeqWN.loc[8]/LRAeqWN.loc[7]*100 

if relND[relND>105].size > 0 :
	nombrecorto = Fnombrecorto(relND[relND>105])
	Resultados.append(u'los niveles de presión sonora equivalente semanal %s para los días sábado y domingo son mayores ante los demás días de la semana para la%s estaci%s de ruido %s. ' %(temp[c],'' if relND[relND>105].size == 1 else 's','ón' if relND[relND>105].size == 1 else 'ones', nombrecorto))
	inicia_mayuscula = True
if relND[relND < 95].size > 0 :
	nombrecorto = Fnombrecorto(relND[relND<95])
	Resultados.append(u'%sos niveles de presión sonora equivalente semanal %s para los días de la semana son más altos que los fines de semana para la%s estaci%s de ruido %s. ' %('L' if inicia_mayuscula else 'l',temp[c],'' if relND[relND>105].size == 1 else 's','ón' if relND[relND>105].size == 1 else 'ones', nombrecorto))
if relND[(relND < 95) |(relND>105) ].size == 0 :
	Resultados.append(u'no se observan diferencias entre los niveles de presión sonora equivalente semanal %s entre los días de la semana y los fines de semana en las estaciones de monitoreo de Ruido Ambiental .' %(temp[c]))
print 14
c+=1

relND = LRAeqWD.loc[8]/LRAeqWD.loc[7]*100 

if relND[relND>105].size > 0 :
	nombrecorto = Fnombrecorto(relND[relND>105])
	Resultados.append(u'Los niveles de presión sonora equivalente semanal %s para los días sábado y domingo son mayores ante los demás días de la semana para la%s estaci%s de ruido %s. ' %(temp[c],'' if relND[relND>105].size == 1 else 's','ón' if relND[relND>105].size == 1 else 'ones', nombrecorto))
if relND[relND < 95].size > 0 :
	nombrecorto = Fnombrecorto(relND[relND<95])
	Resultados.append(u'Los niveles de presión sonora equivalente semanal %s para los días de la semana son más altos que los fines de semana para la%s estaci%s de ruido %s. ' %(temp[c],'' if relND[relND>105].size == 1 else 's','ón' if relND[relND>105].size == 1 else 'ones', nombrecorto))
if relND[(relND < 95) |(relND>105) ].size == 0 :
	Resultados.append(u'No se observan diferencias entre los niveles de presión sonora equivalente semanal %s entre los días de la semana y los fines de semana en las estaciones de monitoreo de Ruido Ambiental .' %(temp[c]))
print 15

Resultados.append('')
Resultados.append('')
Resultados.append('\\begin{figure}[H]')
Resultados.append('\\centering')
Resultados.append('\\begin{tabular}{c}')
Resultados.append('\\includegraphics[scale=0.78]{Figuras/Ruido/Ruido_Semana_Diurno.pdf} \\\\')
Resultados.append('\\end{tabular}')
Resultados.append(u'\\caption{Niveles de presión sonora equivalente semanal diurnos}')
Resultados.append('\\label{fig:Dias}')
Resultados.append('\\end{figure}')
Resultados.append('')
Resultados.append('\\begin{figure}[H]')
Resultados.append('\\centering')
Resultados.append('\\begin{tabular}{c}')
Resultados.append('\\includegraphics[scale=0.78]{Figuras/Ruido/Ruido_Semana_Nocturno.pdf} \\\\')
Resultados.append('\\end{tabular}')
Resultados.append(u'\\caption{Niveles de presión sonora equivalente semanal nocturnos}')
Resultados.append('\\label{fig:Noches}')
Resultados.append('\\end{figure}')
Resultados.append('')
print 16
Resultados.append(u'\\section{Estadísticos de Ruido}')
Resultados.append('')
Resultados.append(u'Los parámetros estadísticos para las estaciones de ruido del Área Metropolitana del Valle de Aburrá se muestran en la Tabla \\ref{Esta_Gir1}. Estos datos fueron calculados con los resultados de nivel de presión sonora corregido continuo equivalente diurno y nocturno por medio de herramientas estadísticas. Así mismo, se presenta el Nive Percentil L90 calculado a partir de los registros de nivel de presión sonora corregido continuo equivalente horario, y que se interpreta como una estimación del ruido residual en el lugar de medición.')
Resultados.append('')


Resultados.append('\\begin{table}[H]')
Resultados.append('\\begin{center}')
Resultados.append(u'\\caption{Estadísticos para las estaciones de monitoreo de Ruido Ambiental.}')
Resultados.append('\\fontsize{10}{2} \selectfont{')
Resultados.append('\scalebox{0.9}{\\begin{tabular}{>{\\centering\\arraybackslash}m{1.8cm}>{\centering\\arraybackslash}m{1.5cm}')
#~Resultados.append('>{\centering\\arraybackslash}m{1.5cm}>{\centering\\arraybackslash}m{1.5cm}>{\centering\\arraybackslash}m{3cm}')
Resultados.append('>{\centering\\arraybackslash}m{1.5cm}>{\centering\\arraybackslash}m{1.5cm}>{\centering\\arraybackslash}m{1.5cm}')
Resultados.append('>{\centering\\arraybackslash}m{1.5cm}>{\centering\\arraybackslash}m{1.5cm}>{\centering\\arraybackslash}m{1.5cm}}')
Resultados.append('\\hline \\hline')
Resultados.append('\\rowcolor{LightBlue2}') 
#~Resultados.append(u'\\multicolumn{2}{c}{\cellcolor{LightBlue2}Estación} & Muestras & Media [dB(A)] & Desv. Estándar [dB(A)] & Mínimo [dB(A)] & Máximo [dB(A)] & NEN\\\\')             
Resultados.append(u'\\multicolumn{2}{c}{\cellcolor{LightBlue2}Estación} & Muestras & Media [dB(A)] & Mínimo [dB(A)] & Máximo [dB(A)] & L90 [dB(A)] & NEN\\\\')             
Resultados.append('\\hline \\hline')

print 17
#Dias de la semana Diurnos y nocturnos
#valuesD = LRAeqH[((LRAeqH.index.hour >6) & (LRAeqH.index.hour <22))]
#~ exc	= pnd.DataFrame(valuesN.apply(lambda x: x[x>self.norma_ruido[x.name][2]].count() ),columns=['NEN'])
#~ valuesN	= pnd.concat([valuesN.describe().loc[['count','mean','std','min','max']],exc.T]).T

#~valuesD 		= LRAeqD.describe().loc[['count','mean','std','min','max']].T
valuesD= pnd.DataFrame(LRAeqD.apply(lambda x: x.count()) , LRAeqD.columns, columns=['count'])
valuesD['mean']= LRAeqD[LRAeqD.columns[LRAeqD.count()>10]].apply(lambda x: 10.*np.log10((10.**(x/10.)).sum()/x.count()))
valuesD['min'] = LRAeqD.min()
valuesD['max'] = LRAeqD.max()
valuesD['L90'] = LRAeqH[(LRAeqH.index.hour>=7)&(LRAeqH.index.hour<21)].quantile(0.1)
valuesD['NEN'] 	= LRAeqD.apply(lambda x: x[x>a.norma_ruido[x.name][1]].count() )
pexcD[LRAeqH.index[0].strftime('%Y-%m')]	= valuesD['NEN']/valuesD['count']*100

#~valuesN			= LRAeqN.describe().loc[['count','mean','std','min','max']].T
valuesN= pnd.DataFrame(LRAeqN.apply(lambda x: x.count()) , LRAeqN.columns, columns=['count'])
valuesN['mean']= LRAeqN[LRAeqN.columns[LRAeqN.count()>10]].apply(lambda x: 10.*np.log10((10.**(x/10.)).sum()/x.count()))
valuesN['min'] = LRAeqN.min()
valuesN['max'] = LRAeqN.max()
valuesN['L90'] = LRAeqH[(LRAeqH.index.hour<7)|(LRAeqH.index.hour>=21)].quantile(0.1)
valuesN['NEN']			= LRAeqN.apply(lambda x: x[x>a.norma_ruido[x.name][2]].count() )
pexcN[LRAeqH.index[0].strftime('%Y-%m')]	= valuesN['NEN']/valuesN['count']*100
#
for est in valuesD.index.values:
	Resultados.append('\\multirow{2}{*}{\\rule[-0.3cm]{0cm}{0.8cm}%s} & Diurna & %s' %(est,str(map(lambda x: (('%.f' if x=='NEN' else '%.f &') if x in ['count','NEN'] else '%.2f &' ) %valuesD.loc[est,x],valuesD.columns.values)).strip("[]").replace("'","").replace(",","")))
	Resultados[-1]=Resultados[-1].replace('nan','ND')
	Resultados.append('\\rule[-0.3cm]{0cm}{0.8cm} \\\\ \cline{3-8}')
#	Resultados.append('\\rule[-0.3cm]{0cm}{0.8cm} \\\\ \cline{3-7}')
	Resultados.append('& Nocturna & %s' %str(map(lambda x: (('%.f' if x=='NEN' else '%.f &') if x in ['count','NEN'] else '%.2f &' ) %valuesN.loc[est,x],valuesN.columns.values)).strip("[]").replace("'","").replace(",",""))
	Resultados[-1]=Resultados[-1].replace('nan','ND')
	Resultados.append('\\rule[-0.3cm]{0cm}{0.8cm} \\\\ \hline \\\\')

Resultados.append('\\hline')
Resultados.append('\\end{tabular}} }')
Resultados.append('\\label{Esta_Gir1}')
Resultados.append('\\end{center}')
Resultados.append('\\end{table}')
Resultados.append('')
Resultados.append('\\noindent')


a.Read_Noise()
a.LRAeqH=LRAeqH.copy()
a.IndexD=a.Indicadores(Periodo='D')  ## Hace self.Index
a.IndexN=a.Indicadores(Periodo='N')  ## Hace self.Index


Resultados.append(u'\\section{Indicadores de Ruido ambiental}')
Resultados.append(u'Los indicadores de ruido ambiental, así como cualquier otro de tipo ambiental, busca de una manera sencilla y con validación cientifica, brindar información sobre la magnitud de un suceso, simplificando los procesos de comunicación y sirviendo de herramienta para los tomadores de decisiones y el público en general.')
Resultados.append('')
Resultados.append(u'En esta sección se presentan algunos de los indicadores más usados para la descripción y el seguimiento del ruido ambiental al que está expuesta la población del Valle de Aburrá; estos son: Nivel de ruido de tráfico (NRT), factor de clima sonoro (CS), nivel de contaminación por ruido (L$_{NP}$), nivel de exposición sonora (NES) y finalmente la diferencia Día-Noche. Las ecuaciones para el cálculo de los indicadores se presentan en el Anexo 2.')
Resultados.append('')
Resultados.append(u'El \\textbf{nivel de ruido de tráfico} es un método usado para estimar las molestias producidas por el ruido de tráfico, considerando que estas se asocian a la amplitud de la fluctuación del ruido. Este índice contiene a su vez el \\textbf{factor de clima sonoro} que indica la amplitud de las fluctuaciones para el periodo seleccionado, estimadas como la diferencia entre el promedio de los picos más altos de ruido (considerado como el nivel percentil L$_{10}$), y el nivel de ruido de fondo (considerado como el nivel percentil L$_{90}$).')
Resultados.append('')
Resultados.append(u'El nivel de ruido de tráfico además de contar con la fluctuación del factor de clima sonoro, da importancia al ruido de fondo. A continuación se presenta los resultados de el nivel de ruido de tráfico para el mes %s.'%self.mes_es[int(self.Fechai[5:7])])
Resultados.append('')
Resultados.append(u'\\begin{figure}[H]')
Resultados.append(u'\\centering')
Resultados.append(u'\\begin{tabular}{c}')
Resultados.append(u'\\hspace{-6.0cm}')
Resultados.append(u'\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_NRT_diurno.pdf} \\\\')
Resultados.append(u'\\hspace{-6.0cm}')
Resultados.append(u'\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_NRT_nocturno.pdf} \\\\')
Resultados.append(u'\\end{tabular}')
Resultados.append(u'\\caption{Nivel de ruido de tráfico diurno y nocturno}')
Resultados.append(u'\\label{fig:NRT}')
Resultados.append(u'\\end{figure}')
Resultados.append('')
Resultados.append(u'En la Figura \\ref{fig:CS} se observa el cálculo del factor de clima sonoro para cada una de las estaciones de la Red de Ruido en los periodos diurno y nocturno, en esta se puede observar que para las diferentes estaciones la fluctuación durante la noche es mayor que durante el día.')
Resultados.append('')
Resultados.append(u'\\begin{figure}[H]')
Resultados.append(u'\\centering')
Resultados.append(u'\\begin{tabular}{c}')
Resultados.append(u'\\hspace{-6.0cm}')
Resultados.append(u'\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_CS_diurno.pdf} \\\\')
Resultados.append(u'\\hspace{-6.0cm}')
Resultados.append(u'\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_CS_nocturno.pdf} \\\\')
Resultados.append(u'\\end{tabular}')
Resultados.append(u'\\caption{Factor de clima sonoro diurno y nocturno}')
Resultados.append(u'\\label{fig:CS}')
Resultados.append(u'\\end{figure}')
Resultados.append('')
Resultados.append(u'También en búsqueda de la amplitud de la fluctuación del ruido durante un tiempo especifico, \\textbf{el nivel de contaminación de ruido}, hace uso de la disviación estándar del ruido y el nivel de presión sonora continuo equivalente del periodo de interés. A continuación se presenta el cálculo de el nivel de contaminación de ruido para el mes de %s.'%self.mes_es[int(self.Fechai[5:7])])
Resultados.append('')
Resultados.append(u'\\begin{figure}[H]')
Resultados.append(u'\\centering')
Resultados.append(u'\\begin{tabular}{c}')
Resultados.append(u'\\hspace{-6.0cm}')
Resultados.append(u'\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_NCR_diurno.pdf} \\\\')
Resultados.append(u'\\hspace{-6.0cm}')
Resultados.append(u'\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_NCR_nocturno.pdf} \\\\')
Resultados.append(u'\\end{tabular}')
Resultados.append(u'\\caption{Nivel de contaminación por ruido diurno y nocturno}')
Resultados.append(u'\\label{fig:NCR}')
Resultados.append(u'\\end{figure}')
Resultados.append('')
Resultados.append(u'\\textbf{El nivel de exposición sonora}, a diferencia de los anteriores, es usado para estimar el acumulado del ruido durante el periodo diurno y nocturno. En La Figura \\ref{fig:NCR} se presenta el cálculo del nivel de exposición sonora en los periodos definidos.')
Resultados.append('')
Resultados.append(u'Los cálculos de nivel de exposición sonora en el periodo diurno y nocturno no son directamente comparables, debido a que el periodo nocturno posee menos horas que el periodo diurno.')
Resultados.append('')
Resultados.append(u'\\begin{figure}[H]')
Resultados.append(u'\\centering')
Resultados.append(u'\\begin{tabular}{c}')
Resultados.append(u'\\hspace{-6.0cm}')
Resultados.append(u'\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_NExpo_diurno.pdf} \\\\')
Resultados.append(u'\\hspace{-6.0cm}')
Resultados.append(u'\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_NExpo_nocturno.pdf} \\\\')
Resultados.append(u'\\end{tabular}')
Resultados.append(u'\\caption{Nivel de exposición sonora diurno y nocturno}')
Resultados.append(u'\\label{fig:NCR}')
Resultados.append(u'\\end{figure}')
Resultados.append('')

EstMin=np.min(a.IndexD['DiffDN']).sort_values()[:2].index
Resultados.append(u'Finalmente, \\textbf{la diferencia dia-noche}, indica que tan alejados estan los niveles de presión sonora diurno y nocturno; de modo que entre mayor sea el valor absoluto, más diferente será el ruido entre los dos periodos; además, indica que para valores positivos, mayor es el ruido durante el día; mientras que para valores negativos, es mayor el niveles de presión sonora durante la noche. Como se observa en la Figura \\ref{fig:DiffDN}, las estaciones %s y %s, presentan los valores más negativos en la diferencia día-noche.'%(EstMin[0],EstMin[1]))
Resultados.append('')
Resultados.append(u'\\begin{figure}[H]')
Resultados.append(u'\\centering')
Resultados.append(u'\\begin{tabular}{c}')
Resultados.append(u'\\hspace{-6.0cm}')
Resultados.append(u'\\includegraphics[scale=0.21]{Figuras/Ruido/Ruido_DiffDN.pdf} \\\\')
Resultados.append(u'\\end{tabular}')
Resultados.append(u'\\caption{Diferencia de pesión sonora diurno\-nocturno}')
Resultados.append(u'\\label{fig:DiffDN}')
Resultados.append(u'\\end{figure}')


Resultados.append(u'\\section{Ciclo Diurno}')

Resultados.append(u'El ciclo diurno del ruido ambiental tiene un comportamiento típico modulado principalmente por el tráfico vehicular, el cual afecta la mayor parte del territorio urbano en los municipios del Valle de Aburrá [\\cite{map2012}]. El ruido ambiental presenta un mínimo en horas de la madrugada y máximo en la mañana alrededor de las 7; posteriormente permanece contante hasta las 19 en donde comienzan a decaer los niveles de presión sonora.')

Resultados.append(u'De igual manera cada estación posee diferentes fuentes de ruido que pueden condicionar el ciclo diurno de los niveles de presión sonora.')

Resultados.append(u'\\begin{figure}[H]')
Resultados.append(u'\\begin{center}')
Resultados.append(u'\\begin{tabular}{cc}')
Resultados.append(u'\\includegraphics[width=0.42\\textwidth]{Figuras/CD_SAB-SEMS.pdf} &')
#Resultados.append(u'\\includegraphics[width=0.42\\textwidth]{Figuras/CD_SAB-SEMS.pdf}')
Resultados.append(u'\\includegraphics[width=0.42\\textwidth]{Figuras/CD_MED-PJIR.pdf} \\\\')

#Resultados.append(u'\\multicolumn{2}{c}{\\includegraphics[width=0.42\\textwidth]{Figuras/CD_GIR-BOTJ.pdf}}')

Resultados.append(u'\\end{tabular}')
Resultados.append(u'\\end{center}')
Resultados.append(u'\\caption{Ciclo diurno de los niveles de presión sonora}')
Resultados.append(u'\\label{fig:CD_RUIDO}')
Resultados.append(u'\\end{figure}')


Resultados.append(u'\\begin{figure}[H]')
Resultados.append(u'\\begin{center}')
Resultados.append(u'\\begin{tabular}{cc}')
Resultados.append(u'\\includegraphics[width=0.42\\textwidth]{Figuras/CD_ITA-ACUA.pdf} &')
Resultados.append(u'\\includegraphics[width=0.42\\textwidth]{Figuras/CD_MED-SIAT.pdf} \\\\')
Resultados.append(u'\\includegraphics[width=0.42\\textwidth]{Figuras/CD_MED-ZOOL.pdf} &')
Resultados.append(u'\\includegraphics[width=0.42\\textwidth]{Figuras/CD_CEN-TRAF.pdf} \\\\')

Resultados.append(u'\\includegraphics[width=0.42\\textwidth]{Figuras/CD_GIR-BOTJ.pdf} &')
Resultados.append(u'\\includegraphics[width=0.42\\textwidth]{Figuras/CD_ITA-SAMA.pdf} \\\\')



#Resultados.append(u'\\multicolumn{2}{c}{\\includegraphics[width=0.42\\textwidth]{Figuras/CD_GIR-BOTJ.pdf}}')
#Resultados.append(u'\\multicolumn{2}{c}{\\includegraphics[width=0.42\\textwidth]{Figuras/CD_GIR-BOTJ.pdf}}')

Resultados.append(u'\\end{tabular}')
Resultados.append(u'\\ContinuedFloat')
Resultados.append(u'\\end{center}')
Resultados.append(u'\\caption{Continuación}')
#Resultados.append(u'\\end{center}')
#Resultados.append(u'\\caption{Ciclo diurno de los niveles de presión sonora}')
Resultados.append(u'\\label{fig:CD_RUIDO}')
Resultados.append(u'\\end{figure}')




b=open('Resultados.tex', 'w')
np.savetxt('Resultados.tex', Resultados, fmt='%s')
b.close()
#================================
#	 METEOROLOGÍA
#================================
Meteorologia.append(u'\\restoregeometry')

Meteorologia.append(u'\\chapter{Meteorología}\\label{Gir}')
Meteorologia.append(u'\\begin{tikzpicture}')
Meteorologia.append(u'\\draw[CiceBlue3,line width=1] (0cm,0) -- (15cm,0);')
Meteorologia.append(u'\\end{tikzpicture}')

Meteorologia.append('')
Meteorologia.append(u'El sonido requiere de un medio para propagarse, por lo que las características del ambiente tales como la  meteorología son de especial importancia para su seguimiento. Las 8 estaciones pertenecientes a la red de ruido ambiental cuentan con equipos de monitoreo de variables meteorológicas, las cuales son usadas para la validación de los datos, en concordancia con la resolución 0627 del 2006 del ahora ministerio de ambiente y desarrollo sostenible.')
Meteorologia.append('')
Meteorologia.append(u'De acuerdo con la Resolución 0627 del 2006, las mediciones tomadas bajo condiciones de velocidad del viento superiores a 3m/s o precipitación, deben ser invalidas. En la Tabla \\ref{tb:meteo} se observa el porcentaje de datos invalidados por estación y por variable meteorológica.')
Meteorologia.append('')


ValidoBox=pnd.DataFrame(index=Flag1h.columns,columns=['lluvia','viento'])
ValidoBox['lluvia']=Flag1h[(Flag1h==3.1)].count()/Flag1h[Flag1h>0].count()*100
ValidoBox['viento']=Flag1h[(Flag1h==3.2)].count()/Flag1h[Flag1h>0].count()*100

Meteorologia.append(u'\\begin{center}')
Meteorologia.append('{\\scriptsize ')

Meteorologia.append(u'\\begin{longtable}{>{\centering\\arraybackslash}m{2.2cm}>{\\centering\\arraybackslash}m{2.2cm}>{\\centering\\arraybackslash}m{2.2cm}m{0cm}}')
#Ruido.append(u'\\caption{Porcentaje de datos válidos para el mes de %s}'%(self.mes_es[int(self.Fechai[5:7])]))
Meteorologia.append(u'\\caption{Porcentaje de datos invalidados por condiciones meteorológicas para el mes de %s del %s}'%(self.mes_es[int(self.Fechai[5:7])],self.Fechai[0:4]))
Meteorologia.append(u'\\hline \\hline \\hline')
Meteorologia.append(u'\\rowcolor[rgb]{0.68, 0.86, 0.92}')
Meteorologia.append(u'\\textbf{Estaciones} &\\textbf{Precipitación}&\\textbf{Velocidad del Viento}& \\rule[-0.3cm]{0cm}{0.4cm} \\\\ \\hline') 
Meteorologia.append(u'\\hline \\hline')
Meteorologia.append(u'\\endhead')
Meteorologia.append('')
for est in self.EstR[self.EstR['Nombre'].isin(ValidoBox.index)].sort_values(by='Latitud',ascending=False)['Nombre'].values:
	Meteorologia.append(u'\\textbf{'+est+'} &\\textbf{%s}&\\textbf{%s}& \\rule[-0.3cm]{0cm}{0.4cm} \\\\ \\hline' %tuple(map(lambda x: '%.1f'%ValidoBox[x][est] ,('lluvia','viento'))))


Meteorologia.append('')
Meteorologia.append(u'\\hline')
Meteorologia.append(u'\\label{tb:meteo}')
Meteorologia.append(u'\\end{longtable}}')
Meteorologia.append(u'\\end{center}')

Meteorologia.append(u'\\section{Ciclo diurno temperatura, humedad relativa y presión}')

Meteorologia.append(u'La Figura \\ref{fig:Met_TEM} presenta el ciclo diurno de las variables meteorológicas temperatura (T), humedad relativa (HR) y presión (P). Como es de esperarse la temperatura posee una variabilidad forzada principalmente por la radiación solar, es por eso que presenta una forma de campana con máximo cercano al medio día') 
Resultados.append('')
Meteorologia.append(u'La  variación  de  la  humedad  relativa  se  puede  asociar  a  su  vez  a  la  temperatura, pues esta se define como la cantidad de agua que presenta la atmósfera a cierta temperatura frente al potencial que puede almacenar, y entre más caliente la atmósfera más agua puede alvergar.')
Resultados.append('')
Meteorologia.append(u'La temperatura y la humedad condicionan la velocidad y atenuación del sonido. La velocidad del sonido presenta una relación directa con la temperatura, que al igual que el sonido dependen de la velocidad de las moléculas; mientras que la humedad presentará una relación inversa con la atenuación.')
Resultados.append('')
Meteorologia.append(u'Por otro lado, la presión atmósferica es utilizada para la medición del ruido ambiental, ya que al ser el sonido una variación de presión en un tiempo relativamente corto; la diferencia entre la presión total y la atmósferica dará como resultado la presión asociadas al sonido, variable reportada a o largo de este informe.')
Meteorologia.append('')


Meteorologia.append('\\begin{figure}[H]')
Meteorologia.append('\\begin{center}')
Meteorologia.append('\\begin{tabular}{cc}')
Meteorologia.append('\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_SAB-SEMS.pdf} &')
Meteorologia.append('\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_ITA-SAMA.pdf} \\\\')
Meteorologia.append('\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_MED-PJIR.pdf} &')
Meteorologia.append('\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_GIR-BOTJ.pdf} \\\\')
#Meteorologia.append('\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_MED-PJIC.pdf} \\\\')
Meteorologia.append('\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_MED-ZOOL.pdf} &')
Meteorologia.append('\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_MED-SIAT.pdf} \\\\')
Meteorologia.append('\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_CEN-TRAF.pdf} &')
Meteorologia.append('\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_ITA-ACUA.pdf} \\\\')
#Meteorologia.append(u'\\multicolumn{2}{c}{\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_ITA-SAMA.pdf}}')
#marquita
Meteorologia.append('\\end{tabular}')
Meteorologia.append('\\end{center}')
Meteorologia.append(u'\\caption{Presión, Temperatura y Humedad Relativa para las distintas estaciones}')
Meteorologia.append('\\label{fig:Met_TEM}')
Meteorologia.append('\\end{figure}')
#Resultados.append(u'\\multicolumn{2}{c}{\\includegraphics[width=0.42\\textwidth]{Figuras/CD_GIR-BOTJ.pdf}}')




#Meteorologia.append(u'\\begin{figure}[H]')
#Meteorologia.append(u'\\begin{center}')
#Meteorologia.append(u'\\begin{tabular}{cc}')

#Meteorologia.append(u'\\multicolumn{2}{c}{\\includegraphics[width=0.46\\textwidth]{Figuras/Meteorologia/Ciclo_diurno_P_T_RG_GIR-BOTJ.pdf}}')
#Meteorologia.append(u'\\end{tabular}')
#Meteorologia.append(u'\\ContinuedFloat')
#Meteorologia.append(u'\\end{center}')
#Meteorologia.append(u'\\caption{Continuación}')
#Meteorologia.append(u'\\label{fig:Met_TEM}')
#Meteorologia.append(u'\\end{figure}')


Meteorologia.append(u'\\section{Precipitación}')

Meteorologia.append(u'De acuecuerdo a la Resolución 0627 del 2006, las mediciones de los niveles equivalentes de presión sonora ponderados A,-L$_{Aeq}$- deben efectuarse en tiempo seco, sin precipitación de ningun tipo.')

Meteorologia.append(u'La Figura \\ref{fig:Met_PPT} presenta la precipitación horaria y acumulada para el mes de %s de %s, adicionalmente la Tabla \\ref{tb:PPT} muestra el máximo acumulado horario, máximoacumulado diario, el acumulado mensual y los días sin precipitación para las distintasbestaciones de monitoreo meteorológico.'%(self.mes_es[int(self.Fechai[5:7])],self.Fechai[0:4]))

Meteorologia.append(u'\\begin{figure}[H]')
Meteorologia.append(u'\\begin{center}')
Meteorologia.append(u'\\begin{tabular}{cc}')
Meteorologia.append(u'\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_SAB-SEMS.pdf} &')
Meteorologia.append(u'\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_ITA-SAMA.pdf} \\\\')
Meteorologia.append(u'\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_MED-PJIR.pdf} &')
Meteorologia.append(u'\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_ITA-ACUA.pdf} \\\\')
Meteorologia.append(u'\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_MED-ZOOL.pdf} &')
Meteorologia.append(u'\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_MED-SIAT.pdf} \\\\')
Meteorologia.append(u'\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_GIR-BOTJ.pdf} &')
Meteorologia.append(u'\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_CEN-TRAF.pdf} \\\\')
#Meteorologia.append(u'\\multicolumn{2}{c}{\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_ITA-SAMA.pdf}}')
#marquita

Meteorologia.append(u'\\end{tabular}')
Meteorologia.append(u'\\end{center}')
Meteorologia.append(u'\\caption{Precipitación horaria y acumulada para las distintas estaciones}')
Meteorologia.append(u'\\label{fig:Met_PPT}')
Meteorologia.append(u'\\end{figure}')

#Meteorologia.append(u'\\begin{figure}[H]')
#Meteorologia.append(u'\\begin{center}')
#Meteorologia.append(u'\\begin{tabular}{cc}')

#Meteorologia.append(u'\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_GIR-BOTJ.pdf} &')
#Meteorologia.append(u'\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_GIR-SOSN.pdf} \\\\')
#Meteorologia.append(u'\\multicolumn{2}{c}{\\includegraphics[width=0.46\\textwidth]{Figuras/PLiquida_SSR/Precipitacion_GIR-BOTJ.pdf}}')

#Meteorologia.append(u'\\end{tabular}')
#Meteorologia.append(u'\\ContinuedFloat')
#Meteorologia.append(u'\\end{center}')
#Meteorologia.append(u'\\caption{Continuación}')
#Meteorologia.append(u'\\label{fig:Met_PPT}')
#Meteorologia.append(u'\\end{figure}')


##### Tabla de acumulados

Meteorologia.append('')
Meteorologia.append(u'\\begin{table}[H]')
Meteorologia.append(u'\\begin{center}')
Meteorologia.append(u'\\caption{Estadísticos Precipitación}')
Meteorologia.append(u'\\fontsize{10}{2} \\selectfont{')
Meteorologia.append(u'\\rowcolors{1}{}{gray!20}')
Meteorologia.append(u'\\scalebox{0.7}{\\begin{tabular}{>{\\centering\\arraybackslash}m{4.2cm}>{\\centering\\arraybackslash}m{4.2cm}>{\\centering\\arraybackslash}m{4.2cm}>{\\centering\\arraybackslash}m{4.2cm}>{\\centering\\arraybackslash}m{4.2cm}}')
Meteorologia.append(u'\\rowcolor{LightBlue2}')
Meteorologia.append(u'\\hline \\hline')
Meteorologia.append('')

Meteorologia.append('')

#a.Aire_db(MeteoRuido=True)
#H=a.Met['PLiquida_SSR']
meteo_sub = ruido.meteo_subsidiado()
H = meteo_sub['PLiquida_SSR']
D=H.resample('D').sum()
DF=pnd.concat({u'Máximo Acumulado Horario':H.max(),u'Máximo Acumulado Diario':D.max(),'Acumulado Mensual':H.sum(),u'Días Sin Precipitación':D[D==0].count()},axis=1)
#estaciones = self.Est[self.Est['PLiquida_SSR']==1].sort_values('Latitud',ascending=False)[['Nombre',u'Nombre_Estacion']]
L=pnd.DataFrame()
#for name in a.Met['PLiquida_SSR'].columns:
for name in meteo_sub['PLiquida_SSR'].columns:

	### Se pone self.Est SOLO mientras ITA-ACUA no tiene estación Meteorológica
    L=pnd.concat([L,self.EstR[self.EstR['Nombre']==name]])
estaciones=L.sort_values('Latitud',ascending=False)[['Nombre',u'Nombre_Estacion']]

Meteorologia.append(u'\\textbf{Estación} & \\textbf{%s (mm)} & \\textbf{%s} & \\textbf{%s (mm)} & \\textbf{%s (mm)}  \\rule[-0.3cm]{0cm}{0.8cm} \\\\' %tuple(map(lambda x: x,DF.columns.values)))
Meteorologia.append(u'\\hline \\hline')

for est in range(estaciones.shape[0]):

        #if estaciones['Nombre'].values[est] == "MED-PJIC":
#        if estaciones['Nombre'].values[est] in ["MED-PJIC", "GIR-SOSN"]:
#            continue

	Meteorologia.append(u'\\textbf{%s} & %s & %s & %s & %s \\rule[-0.3cm]{0cm}{0.8cm} \\\\ \\hline'  %tuple([estaciones['Nombre'].values[est]]+ 
		map(lambda x:'%.1f'  %(DF.fillna(' ').loc[estaciones['Nombre'].values[est]][x]) if np.isfinite(DF.loc[estaciones['Nombre'].values[est]][x]) else ' ',DF.columns.values)))

print 'Meteo 9'

Meteorologia.append(u'\\hline')
Meteorologia.append(u'\\end{tabular}} }')
Meteorologia.append(u'\\label{tb:PPT}')
Meteorologia.append(u'\\end{center}')
Meteorologia.append(u'\\end{table}')




Meteorologia.append(u'\\section{Vientos}')
Meteorologia.append(u'De acuecuerdo a la Resolución 0627 del 2006, las mediciones de los niveles equivalentes de presión sonora ponderados A,-L$_{Aeq}$- deben tomarse en condiciones de velocidad del viento no superior a tres metros por segundo (3 m/s).')

Meteorologia.append(u'Las Figuras  \\ref{fig:Met_Vientos_D}, \\ref{fig:Met_Vientos_N} y \\ref{fig:Met_Vientos_T} presentan las rosas de vientos diurnas, nocturnas y totales, respectivamente, para las diferentes estaciones meteorologicas. Estas brindan información acerca de la distribución de las velocidades de los vientos y de la frecuencia con la que estos se presentan con determinada orientación a lo largo del día.')
 
 
Meteorologia.append(u'\\begin{figure}[H]')
Meteorologia.append(u'\\begin{center}')
Meteorologia.append(u'\\begin{tabular}{c}')
Meteorologia.append(u'\\includegraphics[width=.9\\textwidth]{Figuras/Meteorologia/Windrose_Map_Diurno.pdf}')
Meteorologia.append(u'\\end{tabular}')
Meteorologia.append(u'\\end{center}')
Meteorologia.append(u'\\caption{Rosas de Viento diurnas para las distintas estaciones}')
Meteorologia.append(u'\\label{fig:Met_Vientos_D}')
Meteorologia.append(u'\\end{figure}')

Meteorologia.append(u'\\begin{figure}[H]')
Meteorologia.append(u'\\begin{center}')
Meteorologia.append(u'\\begin{tabular}{c}')
Meteorologia.append(u'\\includegraphics[width=.9\\textwidth]{Figuras/Meteorologia/Windrose_Map_Nocturno.pdf}')
Meteorologia.append(u'\\end{tabular}')
Meteorologia.append(u'\\end{center}')
Meteorologia.append(u'\\caption{Rosas de Viento nocturnas para las distintas estaciones}')
Meteorologia.append(u'\\label{fig:Met_Vientos_N}')
Meteorologia.append(u'\\end{figure}')

Meteorologia.append(u'\\begin{figure}[H]')
Meteorologia.append(u'\\begin{center}')
Meteorologia.append(u'\\begin{tabular}{ccc}')
Meteorologia.append(u'\\includegraphics[width=.9\\textwidth]{Figuras/Meteorologia/Windrose_Map_Total.pdf}')
Meteorologia.append(u'\\end{tabular}')
Meteorologia.append(u'\\end{center}')
Meteorologia.append(u'\\caption{Rosas de Viento totales para las distintas estaciones}')
Meteorologia.append(u'\\label{fig:Met_Vientos_T}')
Meteorologia.append(u'\\end{figure}')


b=open('Meteorologia.tex', 'w')
np.savetxt('Meteorologia.tex', Meteorologia, fmt='%s')
b.close()
#================================
#	    ANEXOS
#================================

Anexos.append('\\restoregeometry')
Anexos.append('')
Anexos.append('\\chapter{Anexos}\\label{Desc}')
Anexos.append('\\begin{tikzpicture}')
Anexos.append('\\draw[CiceBlue3,line width=1] (0cm,0) -- (15cm,0);')
Anexos.append('\\end{tikzpicture}')
Anexos.append('')

Anexos.append(u'\\section{Anexo 1. Métodos de medición}')
#Anexos.append('\\begingroup')
Anexos.append('\\begin{center}')
Anexos.append(' \\begin{longtable}{|>{\centering\\arraybackslash}p{3cm}|p{6cm}|}')
Anexos.append(u' \\caption{Método utilizado dentro de la red de ruido}\\\\')
Anexos.append('\\hline')
Anexos.append('')
Anexos.append(u'\\rowcolor{MidnightBlue} \\textbf{\\textcolor{White}{Variable}} & \centering\\textbf{\\textcolor{White}{Método}} \\\\')
Anexos.append('\\endhead')
Anexos.append('\\hline')
Anexos.append(u'Ruido Ambiental & Procedimiento de Medición para Ruido Ambiental. Capítulo II, Anexo 3 de la Resolución 0627 del 7 de abril de 2006 del entonces Ministerio de Ambiente, Vivienda y Desarrollo Sostenible. Procedimiento P-GAA-RA-14. \\\\')
Anexos.append('\\hline')
Anexos.append('')
Anexos.append('\\label{tb:Equipos}')
Anexos.append('\\end{longtable}')
Anexos.append('\\end{center}')
Anexos.append('')
Anexos.append(u'\\section{Anexo 2. Cálculo Indicadores}')
#Anexos.append(u'En las Ecuaciones 5.1 a la 5.5 se presenta la fórmula para el cálculo de los indicadores descriptivos de ruido ambiental presentados en el capítulo 3 del informe. Para las ecuaciones 5.1 y 5.2, las variables $L_{90}$ y $L_{10}$ son los percentiles 90 y 10 de los niveles equivalente de presión sonora para el periodo de$
Anexos.append('')
Anexos.append(u'La Ecuación 5.5 requiere los niveles equivalente de presión sonora diurna ($L_{Aeq,D}$) y nocturna ($L_{Aeq,N}$).')
Anexos.append('')
Anexos.append(u'\\textbf{Nivel de Ruido pot Tráfico}')
Anexos.append(u'\\begin{equation}')
Anexos.append(u'NRT = 4(L_{10} - L_{90}) + L_{90} - 30')
Anexos.append(u'\\end{equation}')
Anexos.append('')
Anexos.append(u'\\textbf{Factor de Clima Sonoro}')
Anexos.append(u'\\begin{equation}')
Anexos.append(u'CS = L_{10} - L_{90} ')
Anexos.append(u'\\end{equation}')
Anexos.append('')
Anexos.append(u'\\textbf{Nivel de Contaminación por Ruido}')
Anexos.append(u'\\begin{equation}')
Anexos.append(u'NCR =  L_{Aeq,T} + 2.56 \\sigma')
Anexos.append(u'\\end{equation}')
Anexos.append('')
Anexos.append(u'\\textbf{Nivel de exposición sonora}')
Anexos.append(u'\\begin{equation}')
Anexos.append(u'NES = 10 Log_{10}\\left(\\sum_{i=1}^{n} 10^{\\frac{L_{Aeq,1hi}}{10}}\\right)')
Anexos.append(u'\\end{equation}')
Anexos.append('')
Anexos.append(u'\\textbf{Diferencia Día-Noche}')
Anexos.append(u'\\begin{equation}')
Anexos.append(u'DiffDN=L_{Aeq,D} - L_{Aeq,N}')
Anexos.append(u'\\end{equation}')



Anexos.append('')
Anexos.append(u'\\textbf{Cálculo de promedio de nivel de presión sonora}')
Anexos.append(u'\\begin{equation}')
Anexos.append(u'L_{eq} \\text{(Promedio)} = 10 \log \\Big[ \\frac{1}{n} \sum_{i=1}^n \\big( 10^{\\frac{L_i}{10}} \\big) \\Big]')
Anexos.append(u'\\end{equation}')
Anexos.append('')



b=open('Anexos.tex', 'w')
np.savetxt('Anexos.tex', Anexos, fmt='%s')
b.close()




#================================
#         Referencias
#================================

Referencias.append('@Article{map2012,')
Referencias.append('author = {PS-AAC ; AMVA},')
Referencias.append(u'title = {Informe actualización de los mapas de ruido de la zona urbana de los municipios de Bello, Itagüí y Medellín},')
Referencias.append('journal = {DOCUMENTO - CO140019},')
Referencias.append('year = {2012}')
Referencias.append('}')
b=open('Referencias.bib', 'w')
np.savetxt('Referencias.bib', Referencias, fmt='%s')
b.close()


